<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
include("./include/config.php");

// Check if the user is logged in
if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
    exit();
} else {
    include("./include/sidebar.php");

    if (isset($_POST['add_ads_btn'])) {
        $postID = "admin";
        $title = $_POST['title'];
        $stateID = $_POST['state_id'];
        $cityID = $_POST['city_id'];
        $categoryID = $_POST['category_id'];
        $services = isset($_POST['services']) ? implode(', ', $_POST['services']) : '';

        // Sanitize and check for location
        $locationID = !empty($_POST['location_id']) ? mysqli_real_escape_string($conn, $_POST['location_id']) : 0;
        $whatsapp = $_POST['whatsapp_no'];
        $contact = $_POST['contact_no'];
        $meta_keywords = $_POST['meta_keywords'];
        $meta_description = $_POST['meta_description'];
        $meta_title = $_POST['meta_title'];
        $url = $_POST['url'];

        // Check for the status and gender
        if (isset($_POST['status'])) {
            $status = $_POST['status'];
        } else {
            $status = "";
        }

        if (isset($_POST['gender'])) {
            $gender = $_POST['gender'];
        } else {
            $gender = "";
        }
         if (isset($_POST['is_feature'])) {
            $is_feature = $_POST['is_feature'];
        } else {
            $is_feature = "0";
        }

        $age = $_POST['age'];

        // Function to add a watermark
        function addWatermark($imagePath, $watermarkImagePath, $outputImagePath) {
            // Load the main image
            $image = imagecreatefromjpeg($imagePath);

            // Load the watermark image with a transparent background (PNG format)
            $watermark = imagecreatefrompng($watermarkImagePath);

            // Get the dimensions of the main image
            $imageWidth = imagesx($image);
            $imageHeight = imagesy($image);

            // Calculate the size of the watermark (e.g., 60% of the main image dimensions)
            $watermarkWidth = $imageWidth * 0.7;
            $watermarkHeight = $watermarkWidth * imagesy($watermark) / imagesx($watermark);

            // Calculate the position to place the watermark in the center
            $watermarkX = ($imageWidth - $watermarkWidth) / 2;
            $watermarkY = ($imageHeight - $watermarkHeight) / 2;

            // Apply transparency to the watermark (adjust the alpha value as needed)
            imagealphablending($image, true);
            imagesavealpha($image, true);
            imagecopyresampled($image, $watermark, $watermarkX, $watermarkY, 0, 0, $watermarkWidth, $watermarkHeight, imagesx($watermark), imagesy($watermark));

            // Save the watermarked image as a JPEG
            imagejpeg($image, $outputImagePath);

            // Clean up and free memory
            imagedestroy($image);
            imagedestroy($watermark);
        }

        // Handle image uploads
        $path = "uploads/";

        // Process and move the main image
        if (isset($_FILES['main_image']) && $_FILES['main_image']['error'] == UPLOAD_ERR_OK) {
            $main_image_ext = pathinfo($_FILES['main_image']['name'], PATHINFO_EXTENSION);
            $main_image_filename = time() . '_main.' . $main_image_ext;
            move_uploaded_file($_FILES['main_image']['tmp_name'], $path . $main_image_filename);
            addWatermark($path . $main_image_filename, '../assets/img/logo/FOO.png', $path . $main_image_filename);
        } else {
            $main_image_filename = '';
        }

        // Process and move 'image1'
        if (isset($_FILES['image1']) && $_FILES['image1']['error'] == UPLOAD_ERR_OK) {
            $image1_ext = pathinfo($_FILES['image1']['name'], PATHINFO_EXTENSION);
            $image1_filename = time() . '_image1.' . $image1_ext;
            move_uploaded_file($_FILES['image1']['tmp_name'], $path . $image1_filename);
            addWatermark($path . $image1_filename, '../assets/img/logo/FOO.png', $path . $image1_filename);
        } else {
            $image1_filename = '';
        }

        // Process and move 'image2'
        if (isset($_FILES['image2']) && $_FILES['image2']['error'] == UPLOAD_ERR_OK) {
            $image2_ext = pathinfo($_FILES['image2']['name'], PATHINFO_EXTENSION);
            $image2_filename = time() . '_image2.' . $image2_ext;
            move_uploaded_file($_FILES['image2']['tmp_name'], $path . $image2_filename);
            addWatermark($path . $image2_filename, '../assets/img/logo/FOO.png', $path . $image2_filename);
        } else {
            $image2_filename = '';
        }

        // Process and move 'image3'
        if (isset($_FILES['image3']) && $_FILES['image3']['error'] == UPLOAD_ERR_OK) {
            $image3_ext = pathinfo($_FILES['image3']['name'], PATHINFO_EXTENSION);
            $image3_filename = time() . '_image3.' . $image3_ext;
            move_uploaded_file($_FILES['image3']['tmp_name'], $path . $image3_filename);
            addWatermark($path . $image3_filename, '../assets/img/logo/FOO.png', $path . $image3_filename);
        } else {
            $image3_filename = '';
        }

         // Process and move 'image4'
        if (isset($_FILES['image4']) && $_FILES['image4']['error'] == UPLOAD_ERR_OK) {
            $image4_ext = pathinfo($_FILES['image4']['name'], PATHINFO_EXTENSION);
            $image4_filename = time() . '_image4.' . $image4_ext;
            move_uploaded_file($_FILES['image4']['tmp_name'], $path . $image4_filename);
            addWatermark($path . $image4_filename, '../assets/img/logo/FOO.png', $path . $image4_filename);
        } else {
            $image4_filename = '';
        }

        // After processing all images, proceed with the database insert.

        // SQL query to insert data into the database, including all image filenames
        $query = "INSERT INTO ads 
            (post_id, title, state_id, city_id, locality_id, category_id, whatsapp_number, contact_number, meta_keywords, meta_description, meta_title, url, status, age, gender, main_image, image1, image2, image3, image4, services, is_featured)
            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        
        $stmt = mysqli_prepare($conn, $query);
        
        if ($stmt) {
            mysqli_stmt_bind_param($stmt, "ssssssssssssssssssssss", $postID, $title, $stateID, $cityID, $locationID, $categoryID, $whatsapp, $contact, $meta_keywords, $meta_description, $meta_title, $url, $status, $age, $gender, $main_image_filename, $image1_filename, $image2_filename, $image3_filename, $image4_filename, $services, $is_feature);
        
            if (mysqli_stmt_execute($stmt)) {
                // JavaScript to display an alert and redirect
                echo '<script>';
                echo 'alert("Ads added successfully");';
                echo 'window.location.href = "add_ads.php";';
                echo '</script>';
            } else {
                echo "Error adding post: " . mysqli_error($conn);
            }
            mysqli_stmt_close($stmt);
        } else {
            echo "Error in the prepared statement: " . mysqli_error($conn);
        }
    }
?>



<style>
    .checkbox-row {
        display: inline-block;
        margin-right: 10px; /* Adjust the margin as needed */
    }

    .checkbox-row .checkbox {
        display: inline-block;
        margin-right: 5px; /* Adjust the margin as needed */
    }
</style>

<!-- Your HTML form goes here -->
  <div class="col-lg-12 col-xs-12">
				<div class="box-content card white">
					<h4 class="box-title">Add Ads</h4>
					<!-- /.box-title -->
					<div class="card-content">
						<form action="" method="POST" enctype="multipart/form-data">
							<!-- <div class="form-group col-lg-4">
								<label for="exampleInputEmail1">Post id</label>
								<input type="text" class="form-control" id="exampleInputEmail1" name="post_id" placeholder="Post ID">
							</div> -->
							<div class="form-group col-lg-4">
								<label for="exampleInputPassword1">Title</label>
								<input type="text" class="form-control" id="exampleInputPassword1" name="title" placeholder="title">
							</div>
                            <div class="form-group col-lg-4">
                                <label for="exampleInputEmail1">State</label>
                                <select class="form-control" id="stateSelect" name="state_id">
                                    <option value="">Select a state</option>
                                    <?php
                                    // Query to fetch state names from the "states" table
                                    $sql = "SELECT id, state_name FROM states";
                                    $result = $conn->query($sql);
                            
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                            $stateId = $row['id'];
                                            $stateName = $row['state_name'];
                            
                                            // Output an <option> element for each state
                                            echo "<option value='$stateId'>$stateName</option>";
                                        }
                                    } else {
                                        echo "<option value=''>No states found</option>";
                                    }
                                    ?>
                                </select>
                            </div>
							<div class="form-group col-lg-4">
                                <label for="exampleInputPassword1">City</label>
                                <select class="form-control" id="citySelect" name="city_id">
                                    <option value="">Select a city</option>
                                    
                                </select>
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="exampleInputPassword1">Location</label>
                                <select class="form-control" id="locationSelect" name="location_id">
                                    <option value="">Select a location</option>
                                    
                                </select>
                            </div>
                           <div class="form-group col-lg-4">
                                <label for="inputWhatsappNumber">Whatsapp Number</label>
                                <input type="text" class="form-control" id="inputWhatsappNumber" pattern="^91\d{10}$" name="whatsapp_no" value="91" placeholder="Whatsapp Number" maxlength="12" required>
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="inputContactNumber">Contact Number</label>
                                <input type="text" class="form-control" id="inputContactNumber" name="contact_no" value="+91" placeholder="Contact Number" pattern="^\+91\d{10}$" maxlength="13" required>
                            </div>

                            <div class="form-group col-lg-4">
								<label for="exampleInputEmail1">Url</label>
								<input type="text" class="form-control" id="exampleInputEmail1" name="url" placeholder="url">
							</div>
                            <div class="form-group col-lg-4">
								<label for="exampleInputEmail1">Meta Title</label>
								<input type="text" class="form-control" id="exampleInputEmail1" name="meta_title" placeholder="meta title">
							</div>
							<div class="form-group col-lg-4">
								<label for="exampleInputPassword1">Meta keywords</label>
								<input type="text" class="form-control" id="exampleInputPassword1" name="meta_keywords" placeholder="meta keywords">
							</div>
							
							<div class="form-group col-lg-6">
                                <label for="exampleInputEmail1">Category</label>
                                <select class="form-control" id="categorySelect" name="category_id">
                                    <option value="">Select a category</option>
                                    <?php
                                    // Query to fetch state names from the "states" table
                                    $sql1 = "SELECT id, category_name FROM category";
                                    $result1 = $conn->query($sql1);
                            
                                    if ($result1->num_rows > 0) {
                                        while ($row = $result1->fetch_assoc()) {
                                            $categoryId = $row['id'];
                                            $categoryName = $row['category_name'];
                            
                                            // Output an <option> element for each state
                                            echo "<option value='$categoryId'>$categoryName</option>";
                                        }
                                    } else {
                                        echo "<option value=''>No categories found</option>";
                                    }
                                    ?>
                                </select>
                            </div>
                            
                            <div class="form-group col-lg-6">
                                <label for="ageInput" class="col-form-label">Age</label>
                                
                                <input type="text" class="form-control" id="ageInput" name="age" placeholder="Enter age">
                                
                            </div>
                            
                            <div class="form-group col-lg-12">
                              <label>Services</label>
                               <div class="checkbox-row">
                                <?php
                                $query1 = "SELECT service_name, id FROM services";
                                $result1 = mysqli_query($conn, $query1);
                            
                                if ($result1) {
                                    // Check if there are results in query1
                                    if (mysqli_num_rows($result1) > 0) {
                                        while ($row1 = mysqli_fetch_assoc($result1)) {
                                            $service_name = $row1['service_name'];
                                            $uniqueName = 'chk-' . $row1['id']; // Create a unique name for each checkbox
                            
                                            echo '<div class="checkbox">';
                                            echo '<input type="checkbox" id="' . $uniqueName . '" name="services[]" value="' . $service_name . '">';
                                            echo '<label for="' . $uniqueName . '" style="margin-left: 7px; display: inline-block;">' . $service_name . '</label>';
                                            echo '</div>';
                                        }
                                    } else {
                                        echo "No services found";
                                    }
                                }
                                ?>
                                </div>
                            </div>
							 
                            
							<div class="form-group col-lg-12">
								<label for="exampleInputPassword1">Meta Description</label>
								<textarea class="form-control" id="exampleTextarea" rows="4" name="meta_description" placeholder="meta description"></textarea>
							</div>

                            <div class="form-group col-lg-6 mt-4">
                                <label>Status:</label>
                                <label class="radio-inline">
                                    <input type="radio" name="status" value="published"> Published
                                </label>
                                <label class="radio-inline">
                                    <input type="radio" name="status" value="draft"> Draft
                                </label>
                                <label class="radio-inline">
                                    <input type="radio" name="status" value="pending"> Pending
                                </label>
                                <label class="radio-inline">
                                    <input type="radio" name="status" value="rejected"> Rejected
                                </label>
                            </div>
 
                           

                            <div class="form-group col-lg-6 mt-4">
                                <label>Gender:</label>
                                <label class="radio-inline">
                                    <input type="radio" name="gender" value="male"> Male
                                </label>
                                <label class="radio-inline">
                                    <input type="radio" name="gender" value="female"> Female
                                </label>
                                <label class="radio-inline">
                                    <input type="radio" name="gender" value="other"> Other
                                </label>                              
                            </div>
                            

							<div class="form-group col-lg-4">
                                <label for="mainImageInput">Main Image</label>
                                <input type="file" name="main_image" id="mainImageInput" accept="image/*" required>
                                <!-- <p class="help-block">Example block-level help text here.</p> -->
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="image1Input">Image 1</label>
                                <input type="file" name="image1" id="image1Input" accept="image/*">
                                <!-- <p class="help-block">Example block-level help text here.</p> -->
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="image2Input">Image 2</label>
                                <input type="file" name="image2" id="image2Input" accept="image/*">
                                <!-- <p class="help-block">Example block-level help text here.</p> -->
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="image3Input">Image 3</label>
                                <input type="file" name="image3" id="image3Input" accept="image/*">
                                <!-- <p class="help-block">Example block-level help text here.</p> -->
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="image4Input">Image 4</label>
                                <input type="file" name="image4" id="image4Input" accept="image/*">
                                <!-- <p class="help-block">Example block-level help text here.</p> -->
                            </div>

							<div class="checkbox col-lg-4 margin-bottom-20">
								<input type="checkbox" id="chk-1" name="is_feature"><label for="chk-1" style="margin-top: 1.8em;">Is Featured</label> 
							</div>
							<button type="submit" name="add_ads_btn" class="btn btn-primary btn-sm waves-effect waves-light">Add</button>
						</form>
					</div>
					<!-- /.card-content -->
				</div>
				<!-- /.box-content -->
			</div>
			<!-- /.col-lg-6 col-xs-12 -->
			
			
			
			            <script>
document.addEventListener("DOMContentLoaded", function () {
    const stateSelect = document.getElementById("stateSelect");
    const citySelect = document.getElementById("citySelect");

    // Add an event listener to the state select element
    stateSelect.addEventListener("change", function () {
        const selectedStateId = stateSelect.value;

        // Clear the city options
        citySelect.innerHTML = "<option value=''>Select a city</option>";

        if (selectedStateId !== "") {
            // Use AJAX to fetch city data based on the selected state
            // Replace 'get_cities.php' with the URL of your server-side script
            fetch(`get_cities.php?state_id=${selectedStateId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((city) => {
                        const option = document.createElement("option");
                        option.value = city.id;
                        option.textContent = city.city_name;
                        citySelect.appendChild(option);
                    });
                })
                .catch((error) => console.error(error));
        }
    });
});
</script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const citySelect = document.getElementById("citySelect");
    const locationSelect = document.getElementById("locationSelect");

    // Add an event listener to the city select element
    citySelect.addEventListener("change", function () {
        const selectedCityId = citySelect.value;

        // Clear the location options
        locationSelect.innerHTML = "<option value=''>Select a location</option>";

        if (selectedCityId !== "") {
            // Use AJAX to fetch location data based on the selected city
            // Replace 'get_locations.php' with the URL of your server-side script
            fetch(`get_locations.php?city_id=${selectedCityId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((location) => {
                        const option = document.createElement("option");
                        option.value = location.id;
                        option.textContent = location.location_name;
                        locationSelect.appendChild(option);
                    });
                })
                .catch((error) => console.error(error));
        }
    });
});
</script>

<script>
    // Disable editing of "+91" prefix while allowing the rest of the number to be edited
     document.getElementById('inputWhatsappNumber').addEventListener('input', function() {
        if (!/^91\d{0,10}$/.test(this.value)) {
            this.value = '91';
        }
        if (this.value.length > 12) {
            this.value = this.value.slice(0, 12); // Truncate to 12 characters (including "91")
        }
    });

    document.getElementById('inputContactNumber').addEventListener('input', function() {
        if (!/^(\+91)?\d{0,10}$/.test(this.value)) {
            this.value = this.value.slice(0, -1); // Remove the last character if it's not a digit
        }
        if (this.value.length <= 3) {
            this.value = '+91';
        }
    });
</script>


            

    <?php



include("./include/footer.php");
}
?>
