<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
include("./include/config.php");

if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
    exit;
} else {
    include("./include/sidebar.php");

    if (isset($_POST['add_city_btn'])) {
        $city_name = $_POST['city_name'];
        $state_id = $_POST['state_id'];
        $meta_title = $_POST['meta_title'];
        $meta_keywords = $_POST['meta_keywords'];
        $meta_description = $_POST['meta_description'];

        function generateSlug($input) {
            // Convert the input to lowercase
            $slug = strtolower($input);
        
            // Replace spaces with hyphens
            $slug = str_replace(' ', '-', $slug);
        
            // Remove any special characters or non-alphanumeric characters
            $slug = preg_replace('/[^a-z0-9-]/', '', $slug);
        
            return $slug;
        }
        
       
        $slug = generateSlug($city_name);

        // Create a prepared statement
        $query = "INSERT INTO city (city_name, state_id, meta_title, meta_keywords, meta_description, slug) VALUES (?, ?, ?, ?, ?, ?)";
        $stmt = mysqli_prepare($conn, $query);

        if ($stmt) {
            // Bind parameters
            mysqli_stmt_bind_param($stmt, "ssssss", $city_name, $state_id, $meta_title, $meta_keywords, $meta_description, $slug);


            // Execute the statement
            if (mysqli_stmt_execute($stmt)) {
                // JavaScript to display an alert and redirect
                echo '<script>';
                echo 'alert("City added successfully");';
                echo 'window.location.href = "add_city.php";';
                echo '</script>';
            } else {
                echo "Something went wrong: " . mysqli_error($conn);
            }

            // Close the statement
            mysqli_stmt_close($stmt);
        } else {
            echo "Prepared statement failed: " . mysqli_error($conn);
        }
    }

?>


<div class="col-lg-12 col-xs-12">
    <div class="box-content card white">
        <h4 class="box-title">Add City</h4>
        <div class="card-content">
            <form action="" method="POST" enctype="multipart/form-data">
            <div class="form-group col-lg-6">
                    <label for="exampleInputPassword1">State Name</label>
                     <select class="form-control" id="stateSelect" name="state_id">
        <option value="">Select a state</option>
        <?php
       
        // Query to fetch state names from the "states" table
        $sql = "SELECT id, state_name FROM states";

        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
                $stateId = $row['id'];
                $stateName = $row['state_name'];

                // Output an <option> element for each state
                echo "<option value='$stateId'>$stateName</option>";
            }
        } else {
            echo "<option value=''>No states found</option>";
        }

        // Close the database connection
        $conn->close();
        ?>
    </select>
                </div>
                <div class="form-group col-lg-6">
                    <label for="exampleInputPassword1">City Name</label>
                    <input type="text" class="form-control" id="exampleInputPassword1" name="city_name" placeholder="Enter City">
                </div>
                <div class="form-group col-lg-6">
                    <label for="categorySelect">Meta Title</label>
                    <input class="form-control" name="meta_title" type="text" placeholder="Enter meta title ....">
                  
            </div>
            <div class="form-group col-lg-6">
                    <label for="categorySelect">Meta Keywords</label>
                    <input class="form-control" name="meta_keywords" type="text" placeholder="Enter meta keywords...">
                  
            </div>
             <div class="form-group col-lg-12">
                    <label for="categorySelect">Meta Description</label>
                    <!--<input class="form-control" name="category_name" type="text">-->
                    <textarea class="form-control" name="meta_description" type="text" placeholder="Enter meta description...."></textarea>
                  
            </div>
            
            <!--<div class="form-group col-lg-12">-->
            <!--        <label for="categorySelect">Page Content</label>-->
                    <!--<input class="form-control" name="category_name" type="text">-->
            <!--        <textarea class="form-control" name="page_content" type="text" placeholder="Enter page content ...."></textarea>-->
                  
            <!--</div>-->
            
                <button type="submit" name="add_city_btn" class="btn btn-primary btn-sm waves-effect waves-light">Add</button>
            </form>
        </div>
    </div>
</div>
<script>
    CKEDITOR.replace( 'page_content' );
CKEDITOR.on( 'instanceReady', function( evt )
  {
    var editor = evt.editor;
   
   editor.on('change', function (e) { 
    var contentSpace = editor.ui.space('contents');
    var ckeditorFrameCollection = contentSpace.$.getElementsByTagName('iframe');
    var ckeditorFrame = ckeditorFrameCollection[0];
    var innerDoc = ckeditorFrame.contentDocument;
    var innerDocTextAreaHeight = $(innerDoc.body).height();
    console.log(innerDocTextAreaHeight);
    });
 });

</script>

<?php
    include("./include/footer.php");
}
?>
