<?php
include("./include/config.php");

if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
} else {
    include("./include/sidebar.php");

    if (isset($_POST['add_location_btn'])) {
        $location_name = $_POST['location_name'];
        $state_id = $_POST['state_id'];
        $city_id =  $_POST['city_id'];
        $meta_title =  $_POST['meta_title'];
        $meta_keywords =  $_POST['meta_keywords'];
        $meta_description =  $_POST['meta_description'];
        
        function generateSlug($input) {
            // Convert the input to lowercase
            $slug = strtolower($input);
        
            // Replace spaces with hyphens
            $slug = str_replace(' ', '-', $slug);
        
            // Remove any special characters or non-alphanumeric characters
            $slug = preg_replace('/[^a-z0-9-]/', '', $slug);
        
            return $slug;
        }
        
       
        $slug = generateSlug($location_name);
        


        // Create a prepared statement
        $query = "INSERT INTO locality (location_name, city_id, state_id, meta_title, meta_keywords, meta_description, slug) VALUES (?, ?, ?, ?, ?, ?, ?)";
        $stmt = mysqli_prepare($conn, $query);

        if ($stmt) {
            // Bind parameters
            mysqli_stmt_bind_param($stmt, "siissss", $location_name, $city_id, $state_id, $meta_title, $meta_keywords, $meta_description, $slug);

            // Execute the statement
            if (mysqli_stmt_execute($stmt)) {
                // JavaScript to display an alert and redirect
                echo '<script>';
                echo 'alert("Location added successfully");';
                echo 'window.location.href = "add_locality.php";';
                echo '</script>';
            } else {
                die("Query failed: " . mysqli_error($conn));
            }

            // Close the statement
            mysqli_stmt_close($stmt);
        } else {
            die("Prepared statement failed: " . mysqli_error($conn));
        }
    }

?>


<div class="col-lg-12 col-xs-12">
    <div class="box-content card white">
        <h4 class="box-title">Add Locality</h4>
        <div class="card-content">
            <form action="" method="POST" enctype="multipart/form-data">
                <div class="form-group col-lg-4">
                                <label for="exampleInputEmail1">State</label>
                                <select class="form-control" id="stateSelect" name="state_id">
                                    <option value="">Select a state</option>
                                    <?php
                                    // Query to fetch state names from the "states" table
                                    $sql = "SELECT id, state_name FROM states";
                                    $result = $conn->query($sql);
                            
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                            $stateId = $row['id'];
                                            $stateName = $row['state_name'];
                            
                                            // Output an <option> element for each state
                                            echo "<option value='$stateId'>$stateName</option>";
                                        }
                                    } else {
                                        echo "<option value=''>No states found</option>";
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="exampleInputPassword1">City</label>
                                <select class="form-control" id="citySelect" name="city_id">
                                    <option value="">Select a city</option>
                                    
                                </select>
                            </div>
                            <div class="form-group col-lg-4">
                                <label for="exampleInputPassword1">Location Name</label>
                                <input type="text" class="form-control" id="exampleInputPassword1" name="location_name" placeholder="Enter City">
                            </div>
                            <div class="form-group col-lg-6">
                                <label for="categorySelect">Meta Title</label>
                                <input class="form-control" name="meta_title" type="text" placeholder="Enter meta title ....">
                              
                            </div>
                            <div class="form-group col-lg-6">
                                <label for="categorySelect">Meta Keywords</label>
                                <input class="form-control" name="meta_keywords" type="text" placeholder="Enter meta keywords...">
                              
                            </div>
                            <div class="form-group col-lg-12">
                                <label for="categorySelect">Meta Description</label>
                                <!--<input class="form-control" name="category_name" type="text">-->
                                <textarea class="form-control" name="meta_description" type="text" placeholder="Enter meta description...."></textarea>
                              
                            </div>
                            <!-- <div class="form-group col-lg-12">-->
                            <!--        <label for="categorySelect">Page Content</label>-->
                                    <!--<input class="form-control" name="category_name" type="text">-->
                            <!--        <textarea class="form-control" name="page_content" type="text" placeholder="Enter page content ...."></textarea>-->
                                  
                            <!--</div>-->
                <button type="submit" name="add_location_btn" class="btn btn-primary btn-sm waves-effect waves-light">Add</button>
            </form>
        </div>
    </div>
</div>


	
			
			            <script>
document.addEventListener("DOMContentLoaded", function () {
    const stateSelect = document.getElementById("stateSelect");
    const citySelect = document.getElementById("citySelect");

    // Add an event listener to the state select element
    stateSelect.addEventListener("change", function () {
        const selectedStateId = stateSelect.value;

        // Clear the city options
        citySelect.innerHTML = "<option value=''>Select a city</option>";

        if (selectedStateId !== "") {
            // Use AJAX to fetch city data based on the selected state
            // Replace 'get_cities.php' with the URL of your server-side script
            fetch(`get_cities.php?state_id=${selectedStateId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((city) => {
                        const option = document.createElement("option");
                        option.value = city.id;
                        option.textContent = city.city_name;
                        citySelect.appendChild(option);
                    });
                })
                .catch((error) => console.error(error));
        }
    });
});
</script>

<script>
    CKEDITOR.replace( 'page_content' );
CKEDITOR.on( 'instanceReady', function( evt )
  {
    var editor = evt.editor;
   
   editor.on('change', function (e) { 
    var contentSpace = editor.ui.space('contents');
    var ckeditorFrameCollection = contentSpace.$.getElementsByTagName('iframe');
    var ckeditorFrame = ckeditorFrameCollection[0];
    var innerDoc = ckeditorFrame.contentDocument;
    var innerDocTextAreaHeight = $(innerDoc.body).height();
    console.log(innerDocTextAreaHeight);
    });
 });

</script>

<?php
    include("./include/footer.php");
}
?>
