<?php
include("./include/config.php");

if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
} else {
    include("./include/sidebar.php");
?>

<div class="col-xs-12">
  
    <div class="box-content">
        <h4 class="box-title text-xl font-semibold text-gray-700">Change Password</h4>
        <div class="row">
            <div class="col-md-12">

<?php
// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Retrieve the submitted password
    $newPassword = $_POST['new_password'];

    // Prepare the SQL statement to update the password
    $sql = "UPDATE admin_login SET al_pwd = ? WHERE al_id = 1";
    $stmt = $conn->prepare($sql);
    $hashedPassword = password_hash($newPassword, PASSWORD_DEFAULT);
    $stmt->bind_param("s", $newPassword);

    // Execute the statement
    if ($stmt->execute()) {
        echo '<div class="alert alert-success text-green-600 bg-green-100 p-4 rounded-md">Password updated successfully!</div>';
    } else {
        echo '<div class="alert alert-danger text-red-600 bg-red-100 p-4 rounded-md">Failed to update the password.</div>';
    }

    // Close the statement
    $stmt->close();
}

// Close the database connection
$conn->close();
?>

<form method="POST" class="mt-4">
    <div class="form-group mb-4">
        <label for="new_password" class="block text-sm font-medium text-gray-700">New Password</label>
        <input type="password" class="form-control mt-1 block w-full px-4 py-2 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-indigo-500" id="new_password" name="new_password" required>
    </div>
    <button type="submit" class="btn btn-primary w-full py-2 px-4 bg-blue-500 text-white font-bold rounded-md hover:bg-blue-600 focus:outline-none focus:ring-2 focus:ring-blue-500">Change Password</button>
</form>

            </div>
        </div>
    </div>
</div>

<?php
}

include("./include/footer.php");
?>
