<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

include("./include/config.php");

if (!isset($_SESSION['a_user'])) {
    header("Location: index.php");
    exit;
} else {
    include("./include/sidebar.php");

    // Define the watermarking function
    function addWatermark($imagePath, $watermarkImagePath, $outputImagePath) {
        $image = imagecreatefromjpeg($imagePath);
        $watermark = imagecreatefrompng($watermarkImagePath);
        $imageWidth = imagesx($image);
        $imageHeight = imagesy($image);
        $watermarkWidth = $imageWidth * 0.7; // Adjust as needed
        $watermarkHeight = $watermarkWidth * imagesy($watermark) / imagesx($watermark);
        $watermarkX = ($imageWidth - $watermarkWidth) / 2;
        $watermarkY = ($imageHeight - $watermarkHeight) / 2;
        imagealphablending($image, true);
        imagesavealpha($image, true);
        imagecopyresampled($image, $watermark, $watermarkX, $watermarkY, 0, 0, $watermarkWidth, $watermarkHeight, imagesx($watermark), imagesy($watermark));
        imagejpeg($image, $outputImagePath);
        imagedestroy($image);
        imagedestroy($watermark);
    }

    $edit_id = isset($_GET['edit_id']) ? $_GET['edit_id'] : 0;
    $edit_mode = false;
    $existing_data = array();

    if ($edit_id) {
        $edit_query = "SELECT * FROM ads WHERE id = $edit_id";
        $edit_result = mysqli_query($conn, $edit_query);

        if (mysqli_num_rows($edit_result) == 1) {
            $edit_mode = true;
            $existing_data = mysqli_fetch_assoc($edit_result);
        } else {
            echo "Invalid edit ID.";
            exit;
        }
    }

    if (isset($_POST['update_ads_btn'])) {
        $title = $_POST['title'];
        $stateID = $_POST['state_id'];
        $cityID = $_POST['city_id'];
        $categoryID = $_POST['category_id'];
        $services = isset($_POST['services']) ? implode(', ', $_POST['services']) : '';
        $locationID = !empty($_POST['location_id']) ? mysqli_real_escape_string($conn, $_POST['location_id']) : $existing_data['locality_id'];

        $whatsapp = $_POST['whatsapp_no'];
        $contact = $_POST['contact_no'];
        $meta_keywords = $_POST['meta_keywords'];
        $meta_description = $_POST['meta_description'];
        $meta_title = $_POST['meta_title'];
        $url = $_POST['url'];

        $status = isset($_POST['status']) ? $_POST['status'] : "";
        $gender = isset($_POST['gender']) ? $_POST['gender'] : "";
        $age = $_POST['age'];
        $is_feature = isset($_POST['is_featured']) ? '1' : '0';

        $path = "uploads/";

        if ($edit_mode) {
            // Function to move uploaded file
            function moveUploadedFile($fieldName, $newFileName, $path) {
                $ext = pathinfo($_FILES[$fieldName]['name'], PATHINFO_EXTENSION);
                $filename = time() . '_' . $newFileName . '.' . $ext;
                move_uploaded_file($_FILES[$fieldName]['tmp_name'], $path . $filename);
                return $filename;
            }

            // Check and update Main Image
            if (!empty($_FILES['main_image']['name'])) {
                $main_image_filename = moveUploadedFile('main_image', 'main_image', $path);

                // Add a watermark to the main image
                addWatermark($path . $main_image_filename, '../assets/img/logo/FOO.png', $path . $main_image_filename);
            } else {
                $main_image_filename = $existing_data['main_image'];
            }

            // Check and update Image 1
            if (!empty($_FILES['image1']['name'])) {
                $image1_filename = moveUploadedFile('image1', 'image1', $path);

                // Add a watermark to image1
                addWatermark($path . $image1_filename, '../assets/img/logo/FOO.png', $path . $image1_filename);
            } else {
                $image1_filename = $existing_data['image1'];
            }

            // Check and update Image 2
            if (!empty($_FILES['image2']['name'])) {
                $image2_filename = moveUploadedFile('image2', 'image2', $path);

                // Add a watermark to image2
                addWatermark($path . $image2_filename, '../assets/img/logo/FOO.png', $path . $image2_filename);
            } else {
                $image2_filename = $existing_data['image2'];
            }

            // Check and update Image 3
            if (!empty($_FILES['image3']['name'])) {
                $image3_filename = moveUploadedFile('image3', 'image3', $path);

                // Add a watermark to image3
                addWatermark($path . $image3_filename, '../assets/img/logo/FOO.png', $path . $image3_filename);
            } else {
                $image3_filename = $existing_data['image3'];
            }

            // Check and update Image 4
            if (!empty($_FILES['image4']['name'])) {
                $image4_filename = moveUploadedFile('image4', 'image4', $path);

                // Add a watermark to image4
                addWatermark($path . $image4_filename, '../assets/img/logo/FOO.png', $path . $image4_filename);
            } else {
                $image4_filename = $existing_data['image4'];
            }

            // Repeat the above code for image2, image3, and image4 with appropriate field names and filenames.

            // Update the database with the new filenames
            $update_query = "UPDATE ads SET
                title = ?,
                state_id = ?,
                city_id = ?,
                category_id = ?,
                locality_id = ?,
                whatsapp_number = ?,
                contact_number = ?,
                meta_keywords = ?,
                meta_description = ?,
                meta_title = ?,
                url = ?,
                status = ?,
                age = ?,
                gender = ?,
                main_image = ?,
                image1 = ?,
                image2 = ?,
                image3 = ?,
                image4 = ?,
                services = ?,
                is_featured = ?
                WHERE id = ?";

            if ($stmt = mysqli_prepare($conn, $update_query)) {
                mysqli_stmt_bind_param($stmt, "ssiiissssssssssssssssi",
                    $title,
                    $stateID,
                    $cityID,
                    $categoryID,
                    $locationID,
                    $whatsapp,
                    $contact,
                    $meta_keywords,
                    $meta_description,
                    $meta_title,
                    $url,
                    $status,
                    $age,
                    $gender,
                    $main_image_filename,
                    $image1_filename,
                    $image2_filename,
                    $image3_filename,
                    $image4_filename,
                    $services,
                    $is_feature,
                    $edit_id
                );

                if (mysqli_stmt_execute($stmt)) {
                    echo '<script>';
                    echo 'alert("Ad updated successfully");';
                    echo 'window.location.href = "view_ads.php";';
                    echo '</script>';
                } else {
                    echo "Something went wrong: " . mysqli_error($conn);
                }

                mysqli_stmt_close($stmt);
            } else {
                echo "Query error: " . mysqli_error($conn);
            }
        }
    }

?>
<style>
    .checkbox-row {
        display: inline-block;
        margin-right: 10px; /* Adjust the margin as needed */
    }

    .checkbox-row .checkbox {
        display: inline-block;
        margin-right: 5px; /* Adjust the margin as needed */
    }
</style>
<div class="col-lg-12 col-xs-12">
    <div class="box-content card white">
        <h4 class="box-title">Edit User Ad - </h4>
        <div class="card-content">
            <form action="" method="POST" enctype="multipart/form-data">
                <!-- <div class="form-group col-lg-4">
                    <label for="exampleInputEmail1">Post id</label>
                    <input type="text" class="form-control" id="exampleInputEmail1" name="post_id" placeholder="Post ID">
                </div> -->
                <div class="form-group col-lg-4">
                    <label for="exampleInputPassword1">Title</label>
                    <input type="text" class="form-control" id="exampleInputPassword1" name="title" value="<?php echo $existing_data['title']; ?>" placeholder="title">
                </div>
                <div class="form-group col-lg-4">
                    <label for="exampleInputEmail1">State</label>
                    <select class="form-control" id="stateSelect" name="state_id">
                        <!--<option value="">Select a state</option>-->
                        <?php
                        // Query to fetch state names from the "states" table
                        $sql = "SELECT id, state_name FROM states";
                        $result = $conn->query($sql);

                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                $stateId = $row['id'];
                                $stateName = $row['state_name'];

                                // Check if the current state is selected (based on $existing_data['state'])
                                $selected = ($stateId == $existing_data['state_id']) ? 'selected' : '';

                                // Output an <option> element for each state
                                echo "<option value='$stateId' $selected>$stateName</option>";
                            }
                        } else {
                            echo "<option value=''>No states found</option>";
                        }
                        ?>
                    </select>
                </div>

                <div class="form-group col-lg-4">
                    <label for="exampleInputPassword1">City</label>
                    <select class="form-control" id="citySelect" name="city_id">
                        <!--<option value="">Select a state</option>-->
                        <?php
                        // Query to fetch state names from the "states" table
                        $sql1 = "SELECT id, city_name FROM city";
                        $result1 = $conn->query($sql1);

                        if ($result1->num_rows > 0) {
                            while ($row1 = $result1->fetch_assoc()) {
                                $cityId = $row1['id'];
                                $cityName = $row1['city_name'];

                                // Check if the current state is selected (based on $existing_data['state'])
                                $selected1 = ($cityId == $existing_data['city_id']) ? 'selected' : '';

                                // Output an <option> element for each state
                                echo "<option value='$cityId' $selected1>$cityName</option>";
                            }
                        } 
                        // else {
                        //     echo "<option value=''>No states found</option>";
                        // }
                        ?>
                        <option value="">Select a city</option>
                    </select>
                </div>
                <div class="form-group col-lg-4">
                    <label for="exampleInputPassword1">Location</label>
                    <?php
                        $loccc = $existing_data['locality_id'];
                        $sql2 = "SELECT id, location_name FROM locality where id = $loccc";
                        $result2 = $conn->query($sql2);
                        $defaultLocation = ($result2->num_rows > 0) ? $result2->fetch_assoc()['location_name'] : '';
                
                        echo "<p>Current: $defaultLocation</p>";
                    ?>
                    <select class="form-control" id="locationSelect" name="location_id">
                        <?php
                            // Query to fetch location names from the "locality" table
                            $sql2 = "SELECT id, location_name FROM locality";
                            $result2 = $conn->query($sql2);
                
                            if ($result2->num_rows > 0) {
                                while ($row2 = $result2->fetch_assoc()) {
                                    $locationId = $row2['id'];
                                    $locationName = $row2['location_name'];
                                    $selected2 = ($locationId == $existing_data['locality_id']) ? 'selected' : '';
                                    echo "<option value='$locationId' $selected2>$locationName</option>";
                                }
                            } else {
                                echo "<option value=''>No locations found</option>";
                            }
                        ?>
                        <option value="">Select a Location</option>
                    </select>
                </div>

                <div class="form-group col-lg-4">
                    <label for="exampleInputEmail1">Whatsapp Number</label>
                    <input type="text" class="form-control" id="exampleInputEmail1" name="whatsapp_no" value="<?php echo $existing_data['whatsapp_number']; ?>" placeholder="Whatsapp Number">
                </div>
                <div class="form-group col-lg-4">
                    <label for="exampleInputPassword1">Contact Number</label>
                    <input type="text" class="form-control" id="exampleInputPassword1" name="contact_no" value="<?php echo $existing_data['contact_number']; ?>" placeholder="Contact Number">
                </div>
                <div class="form-group col-lg-4">
                    <label for="exampleInputEmail1">Url</label>
                    <input type="text" class="form-control" id="exampleInputEmail1" name="url" value="<?php echo $existing_data['url']; ?>" placeholder="url">
                </div>
                <div class="form-group col-lg-4">
                    <label for="exampleInputEmail1">Meta Title</label>
                    <input type="text" class="form-control" id="exampleInputEmail1" name="meta_title" value="<?php echo $existing_data['meta_title']; ?>" placeholder="meta title">
                </div>
                <div class="form-group col-lg-4">
                    <label for="exampleInputPassword1">Meta keywords</label>
                    <input type="text" class="form-control" id="exampleInputPassword1" name="meta_keywords" value="<?php echo $existing_data['meta_keywords']; ?>" placeholder="meta keywords">
                </div>

                <div class="form-group col-lg-6">
                    <label for="exampleInputEmail1">Category</label>
                    <select class="form-control" id="categorySelect" name="category_id">
                        <!--<option value="">Select a state</option>-->
                        <?php
                        // Query to fetch state names from the "states" table
                        $sql1 = "SELECT id, category_name FROM category";
                        $result1 = $conn->query($sql1);

                        if ($result1->num_rows > 0) {
                            while ($row = $result1->fetch_assoc()) {
                                $categoryId = $row['id'];
                                $categoryName = $row['category_name'];

                                // Check if the current state is selected (based on $existing_data['state'])
                                $selectedcate = ($categoryId == $existing_data['category_id']) ? 'selected' : '';

                                // Output an <option> element for each state
                                echo "<option value='$categoryId' $selectedcate>$categoryName</option>";
                            }
                        } else {
                            echo "<option value=''>No categories found</option>";
                        }
                        ?>
                    </select>
                </div>

                <div class="form-group col-lg-6">
                    <label for="ageInput" class="col-form-label">Age</label>
                    <input type="text" class="form-control" id="ageInput" name="age" value="<?php echo $existing_data['age']; ?>" placeholder="Enter age">
                </div>

                <div class="form-group col-lg-12">
                    <label>Services</label>
                    <div class="checkbox-row">
                        <?php
                        $selected_services = $existing_data['services']; // Retrieve the comma-separated string from the database
                        $selected_services_array = explode(', ', $selected_services); // Split the string into an array

                        // Loop through the services and check the checkboxes
                        $query1 = "SELECT service_name, id FROM services";
                        $result1 = mysqli_query($conn, $query1);

                        if ($result1) {
                            // Check if there are results in query1
                            if (mysqli_num_rows($result1) > 0) {
                                while ($row1 = mysqli_fetch_assoc($result1)) {
                                    $service_name = $row1['service_name'];
                                    $uniqueName = 'chk-' . $row1['id']; // Create a unique name for each checkbox
                                    $isChecked = in_array($service_name, $selected_services_array) ? 'checked' : '';

                                    echo '<div class="checkbox">';
                                    echo '<input type="checkbox" id="' . $uniqueName . '" name="services[]" value="' . $service_name . '" ' . $isChecked . '>';
                                    echo '<label for="' . $uniqueName . '" style="margin-left: 7px; display: inline-block;">' . $service_name . '</label>';
                                    echo '</div>';
                                }
                            } else {
                                echo "No services found";
                            }
                        }
                        ?>
                    </div>
                </div>

                <div class="form-group col-lg-12">
                    <label for="exampleInputPassword1">Description</label>
                    <textarea class="form-control" id="exampleTextarea" rows="4" name="meta_description" placeholder="description"><?php echo $existing_data['meta_description']; ?></textarea>
                </div>

                <div class="form-group col-lg-6 mt-4">
                    <label>Status:</label>
                    <label class="radio-inline">
                        <input type="radio" name="status" value="published" <?php echo ($existing_data['status'] === 'published') ? 'checked' : ''; ?>> Published
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="status" value="draft" <?php echo ($existing_data['status'] === 'draft') ? 'checked' : ''; ?>> Draft
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="status" value="pending" <?php echo ($existing_data['status'] === 'pending') ? 'checked' : ''; ?>> Pending
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="status" value="rejected" <?php echo ($existing_data['status'] === 'rejected') ? 'checked' : ''; ?>> Rejected
                    </label>
                </div>

                <div class="form-group col-lg-6 mt-4">
                    <label>Gender:</label>
                    <label class="radio-inline">
                        <input type="radio" name="gender" value="male" <?php echo ($existing_data['gender'] === 'male') ? 'checked' : ''; ?>> Male
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="gender" value="female" <?php echo ($existing_data['gender'] === 'female') ? 'checked' : ''; ?>> Female
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="gender" value="other" <?php echo ($existing_data['gender'] === 'other') ? 'checked' : ''; ?>> Other
                    </label>
                </div>

                <div class="form-group col-lg-4">
                    <label for="mainImageInput">Main Image</label>
                    <input type="hidden" name="old_main_image" id="mainImageInput" value="<?= $existing_data['main_image'];  ?>" accept="image/*" >
                    <input type="file" name="main_image" id="mainImageInput" accept="image/*" >
                    <?php if ($edit_mode && !empty($existing_data['main_image'])): ?>
                        <p>Current Main Image:</p>
                        <img src="uploads/<?php echo $existing_data['main_image']; ?>" style="width: 10em; height: 9em;" alt="Current Main Image">
                    <?php endif; ?>
                    <!-- <p class="help-block">Example block-level help text here.</p> -->
                </div>

                <div class="form-group col-lg-4">
                    <label for="image1Input">Image 1</label>
                    <input type="hidden" name="old_image1" id="image1Input" value="<?= $existing_data['image1'];  ?>" accept="image/*">
                    <input type="file" name="image1" id="image1Input" accept="image/*">
                    <?php if ($edit_mode && !empty($existing_data['image1'])): ?>
                        <p>Current Image 1:</p>
                        <img src="uploads/<?php echo $existing_data['image1']; ?>" style="width: 10em; height: 9em;" alt="Current Image 1">
                    <?php endif; ?>
                </div>
                <div class="form-group col-lg-4">
                    <label for="image2Input">Image 2</label>
                    <input type="hidden" name="old_image2" id="image2Input" value="<?= $existing_data['image2'];  ?>" accept="image/*">
                    <input type="file" name="image2" id="image2Input" accept="image/*">
                    <?php if ($edit_mode && !empty($existing_data['image2'])): ?>
                        <p>Current Image 2:</p>
                        <img src="uploads/<?php echo $existing_data['image2']; ?>" style="width: 10em; height: 9em;" alt="Current Image 2">
                    <?php endif; ?>
                </div>
                <div class="form-group col-lg-4">
                    <label for="image3Input">Image 3</label>
                    <input type="hidden" name="old_image3" id="image3Input" value="<?= $existing_data['image3'];  ?>" accept="image/*">
                    <input type="file" name="image3" id="image3Input" accept="image/*">
                    <?php if ($edit_mode && !empty($existing_data['image3'])): ?>
                        <p>Current Image 3:</p>
                        <img src="uploads/<?php echo $existing_data['image3']; ?>" style="width: 10em; height: 9em;" alt="Current Image 3">
                    <?php endif; ?>
                </div>
                <div class="form-group col-lg-4">
                    <label for="image4Input">Image 4</label>
                    <input type="hidden" name="old_image4" id="image4Input" value="<?= $existing_data['image4'];  ?>" accept="image/*">
                    <input type="file" name="image4" id="image4Input" accept="image/*">
                    <?php if ($edit_mode && !empty($existing_data['image4'])): ?>
                        <p>Current Image 4:</p>
                        <img src="uploads/<?php echo $existing_data['image4']; ?>" style="width: 10em; height: 9em;" alt="Current Image 4">
                    <?php endif; ?>
                </div>

                <div class="checkbox col-lg-6 margin-bottom-20">
                    <input type="checkbox" id="chk-1" name="is_featured" <?php echo ($existing_data['is_featured'] == 1) ? 'checked' : ''; ?>>
                    <label for="chk-1" style="margin-top: 1.8em;">Is Featured</label>
                </div>
                <div class="checkbox col-lg-12" style="margin-top: 2em;">
                    <button type="submit" name="update_ads_btn" class="btn btn-primary btn-sm waves-effect waves-light">Update</button>
                </div>
            </form>
        </div>
        <!-- /.card-content -->
    </div>
    <!-- /.box-content -->
</div>
<!-- /.col-lg-6 col-xs-12 -->

<!-- Include jQuery library -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const stateSelect = document.getElementById("stateSelect");
    const citySelect = document.getElementById("citySelect");
    const existingCityId = <?php echo $existing_data['city_id']; ?>; // Get the existing city ID from PHP

    // Add an event listener to the state select element
    stateSelect.addEventListener("change", function () {
        const selectedStateId = stateSelect.value;

        // Clear the city options
        citySelect.innerHTML = "<option value=''>Select a city</option>";

        if (selectedStateId !== "") {
            // Use AJAX to fetch city data based on the selected state
            // Replace 'get_cities.php' with the URL of your server-side script
            fetch(`get_cities.php?state_id=${selectedStateId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((city) => {
                        const option = document.createElement("option");
                        option.value = city.id;
                        option.textContent = city.city_name;
                        citySelect.appendChild(option);
                    });

                    // Select the existing city if it matches one of the fetched options
                    if (existingCityId !== "") {
                        const existingOption = citySelect.querySelector(`option[value='${existingCityId}']`);
                        if (existingOption) {
                            existingOption.selected = true;
                        }
                    }
                })
                .catch((error) => console.error(error));
        }
    });

    // Trigger the state select change event to populate the city options initially
    stateSelect.dispatchEvent(new Event("change"));
});
</script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const citySelect = document.getElementById("citySelect");
    const locationSelect = document.getElementById("locationSelect");
    const existingLocationId = <?php echo $existing_data['locality_id']; ?>; // Get the existing location ID from PHP

    // Add an event listener to the city select element
    citySelect.addEventListener("change", function () {
        const selectedCityId = citySelect.value;

        // Clear the location options
        locationSelect.innerHTML = "<option value=''>Select a Location</option>";

        if (selectedCityId !== "") {
            // Use AJAX to fetch location data based on the selected city
            // Replace 'get_locations.php' with the URL of your server-side script
            fetch(`get_locations.php?city_id=${selectedCityId}`)
                .then((response) => response.json())
                .then((data) => {
                    data.forEach((location) => {
                        const option = document.createElement("option");
                        option.value = location.id;
                        option.textContent = location.location_name;
                        locationSelect.appendChild(option);
                    });

                    // Select the existing location if it matches one of the fetched options
                    if (existingLocationId !== "") {
                        const existingOption = locationSelect.querySelector(`option[value='${existingLocationId}']`);
                        if (existingOption) {
                            existingOption.selected = true;
                        }
                    }
                })
                .catch((error) => console.error(error));
        }
    });

    // Trigger the city select change event to populate the location options initially
    citySelect.dispatchEvent(new Event("change"));
    
    // Select the existing location immediately on page load
    if (existingLocationId !== "") {
        const existingOption = locationSelect.querySelector(`option[value='${existingLocationId}']`);
        if (existingOption) {
            existingOption.selected = true;
        }
    }
});
</script>

<?php
 

include("./include/footer.php");
}
?>
