<?php
include("./include/config.php");

// Get the state ID from the query string
$stateId = isset($_GET['state_id']) ? $_GET['state_id'] : '';

if ($stateId !== '') {
    // Prepare and execute a query to fetch cities based on the selected state
    $stmt = $conn->prepare("SELECT id, city_name FROM city WHERE state_id = ?");
    $stmt->bind_param("s", $stateId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        $cities = [];

        while ($row = $result->fetch_assoc()) {
            $cities[] = [
                'id' => $row['id'],
                'city_name' => $row['city_name'],
            ];
        }

        // Close the database connection
        $stmt->close();
        $conn->close();

        // Return the city data as JSON
        echo json_encode($cities);
    } else {
        echo json_encode(['error' => 'Unable to execute the query.']);
    }
} else {
    echo json_encode(['error' => 'Invalid state ID.']);
}
?>
