<?php include './includes/config.php';
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);
?>
<?php
if (isset($_GET['city'])) {
    $Cslug = $_GET['city'];

    // First query to retrieve city ID and state name
    $Cquery = "SELECT city.id, states.slug as state_slug 
               FROM city 
               JOIN states ON city.state_id = states.id 
               WHERE city.slug = ?";

    if ($stmt = mysqli_prepare($conn, $Cquery)) {
        mysqli_stmt_bind_param($stmt, "s", $Cslug);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);

        if (mysqli_stmt_num_rows($stmt) > 0) {
            // Bind both city_id and state_slug
            mysqli_stmt_bind_result($stmt, $city_id, $state_slug);
            mysqli_stmt_fetch($stmt);
            mysqli_stmt_close($stmt);

            // Second query to retrieve meta data for the city
            $query = "SELECT meta_title, meta_keywords, meta_description 
                      FROM city 
                      WHERE id = ?";

            if ($stmt = mysqli_prepare($conn, $query)) {
                mysqli_stmt_bind_param($stmt, "i", $city_id);
                mysqli_stmt_execute($stmt);
                mysqli_stmt_store_result($stmt);

                if (mysqli_stmt_num_rows($stmt) > 0) {
                    // Bind the meta details
                    mysqli_stmt_bind_result($stmt, $meta_title, $meta_keywords, $meta_description);
                    mysqli_stmt_fetch($stmt);
                    mysqli_stmt_close($stmt);
                } else {
                    echo "No data found for city with ID $city_id";
                }
            } else {
                echo "Query error: " . mysqli_error($conn);
            }
        } else {
            // Redirect to 404 if no matching city is found
            ?>
            <script>
                window.location.href = "<?= $base_url?>404";
            </script>
            <?php
        }

        
    } else {
        echo "Query error: " . mysqli_error($conn);
    }
}

// Get the current URL
$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
$host = $_SERVER['HTTP_HOST'];
$request_uri = $_SERVER['REQUEST_URI'];

// Parse the URL and exclude the query parameters
$parsed_url = parse_url($protocol . "://" . $host . $request_uri);
$current_url = $parsed_url['scheme'] . "://" . $parsed_url['host'] . $parsed_url['path'];

?>



    
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title><?php echo ucfirst($Cslug) ?> Call Girls Book Your Dream Girl 24/7 Liptkal.net</title>
        <meta name="title" content="<?php echo ucfirst($Cslug) ?> Call Girls Book Your Dream Girl 24/7 Liptkal.net">
        <meta name="description" content="Liptkal.net is one of the best adult classified sites for <?php echo ucfirst($Cslug) ?> call girls. Cash-on-delivery payment modes are available for the list of your dream call girls.">
        <meta name="keywords" content="<?php echo $meta_keywords; ?>">
        <meta name="author" content="liptkal.net ">
        <meta name="robots" content="index/follow">
        <meta name="copyright" content="Copyright By liptkal.net ">
        <meta name="og:title" content="<?php echo ucfirst($Cslug) ?> Call Girls Book Your Dream Girl 24/7 Liptkal.net">
        <meta name="og:description" content="Liptkal.net is one of the best adult classified sites for <?php echo ucfirst($Cslug) ?> call girls. Cash-on-delivery payment modes are available for the list of your dream call girls.">
        <meta name="og:image" content="">
        <meta name="og:type" content="website">
        <meta content="yes" name="apple-mobile-web-app-capable" />
        <meta name="googlebot" content="index, follow" />
        <meta name="bingbot" content="index, follow" />
        <meta content="yes" name="apple-touch-fullscreen" />
        <meta name="google" content="notranslate" />
        <meta name="rating" content="general" />
        <meta property="og:locale" content="en_IN" />
        <meta property="og:url" content="<?php echo $current_url; ?>" />
        <meta property="og:site_name" content="liptkal.net" />
        <meta property="article:tag" content="liptkal.net" />
        <meta name="twitter:card" content="summary" />
        <meta name="twitter:site" content="@liptkal">
        <meta name="twitter:title" content="<?php echo ucfirst($Cslug) ?> Call Girls Book Your Dream Girl 24/7 Liptkal.net" />
        <meta name="twitter:description" content="Liptkal.net is one of the best adult classified sites for <?php echo ucfirst($Cslug) ?> call girls. Cash-on-delivery payment modes are available for the list of your dream call girls." />
        <meta name="twitter:image" content="" />
        <meta name="twitter:image:alt" content="liptkal.net">
        <link rel="canonical" href="<?php echo $current_url; ?>"/>
        <link rel="alternate" href="<?php echo $current_url; ?>" hreflang="en-in" />
        <link rel="alternate" href="<?php echo $current_url; ?>" hreflang="hi-in" />
        <?php include("./includes/header.php"); ?>
        <?php include("./includes/banner.php")?>
       

<?php
// error_reporting(E_ALL);
// ini_set('display_errors', '1');

// $city_id = isset($_GET['city']) ? $_GET['city'] : $_GET['city_id'];

// First, check if $city_id is numeric
if (!is_numeric($city_id)) {
    echo "Invalid city ID.";
    // You may want to exit or return an error message here.
} else {
    // Prepare the SQL query with a parameterized statement to select the city
    $city_query = "SELECT * FROM city WHERE id = ?";
    
    // Execute the city query with a prepared statement
    if ($stmt = mysqli_prepare($conn, $city_query)) {
        mysqli_stmt_bind_param($stmt, "i", $city_id);
        mysqli_stmt_execute($stmt);
        $city_result = mysqli_stmt_get_result($stmt);
        mysqli_stmt_close($stmt);
    
        if (mysqli_num_rows($city_result) > 0) {
            $city_data = mysqli_fetch_assoc($city_result);
            
            $state_id = $city_data['state_id'];
            $state_query = "SELECT state_name FROM states WHERE id = ?";
            
            // Execute the state query with a prepared statement
            if ($stmt = mysqli_prepare($conn, $state_query)) {
                mysqli_stmt_bind_param($stmt, "i", $state_id);
                mysqli_stmt_execute($stmt);
                $state_result = mysqli_stmt_get_result($stmt);
                mysqli_stmt_close($stmt);
    
                if (mysqli_num_rows($state_result) > 0) {
                    $state_data = mysqli_fetch_assoc($state_result);
                    // Echo the state name and city name
                    // echo "State: " . $state_data['state_name'] . "<br>";
                    // echo "City: " . $city_data['city_name'];
                } else {
                    // echo "State not found.";
                }
            } else {
                echo "State query error: " . mysqli_error($conn);
            }
        } else {
            // echo "City not found.";
        }
    } else {
        echo "City query error: " . mysqli_error($conn);
    }
}
?>


<!-- Add the breadcrumb section just below the <body> tag or in a suitable place in the page structure -->

<div class="bg-gradient-to-r from-teal-400 to-blue-500 p-2.5 text-white rounded-lg shadow-xl mb-6 container mx-auto">
    <nav class="flex items-center space-x-2 flex-wrap">
        <!-- Home Icon with Chevron Separator -->
        <a href="<?= $base_url ?>" class="flex items-center text-white hover:text-yellow-400 mb-2 sm:mb-0">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-5 h-5 mr-2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M3 12l2-2m0 0l7-7 7 7m-7-7v18"></path>
            </svg>
            Home
        </a>
        <!-- Chevron Separator -->
        <span class="text-white text-xl mb-2 sm:mb-0"> 
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-4 h-4">
                <path stroke-linecap="round" stroke-linejoin="round" d="M9 5l7 7-7 7"></path>
            </svg>
        </span>

        <!-- Current City (Cslug) -->
        <span class="text-yellow-300 text-xl font-semibold capitalize mb-2 sm:mb-0">
            <?php echo ucfirst($Cslug); ?> Call Girls
        </span>
    </nav>
</div>

<h2 class="text-4xl font-extrabold text-center text-transparent bg-clip-text bg-gradient-to-r from-pink-500 to-purple-600 mb-6">
CGNight's Mood Freshening Call Girls in <span class="text-indigo-500"><?php echo ucfirst($Cslug); ?></span>
</h1>




<div class="container px-2.5 mx-auto flex flex-col gap-y-4">
    <?php
    // Database query to fetch ads
    $cityQuery = "SELECT id FROM city WHERE slug = ?";
    $stmt_city = mysqli_prepare($conn, $cityQuery);
    mysqli_stmt_bind_param($stmt_city, "s", $Cslug);
    mysqli_stmt_execute($stmt_city);
    $cityResult = mysqli_stmt_get_result($stmt_city);

    if ($cityResult && mysqli_num_rows($cityResult) > 0) {
        $cityRow = mysqli_fetch_assoc($cityResult);
        $city_id = $cityRow['id'];
    }
    mysqli_stmt_close($stmt_city);

    $where_clause = "ads.city_id = $city_id AND ads.status = 'published'";
    $resultsPerPage = 15;
    $currentPage = isset($_GET['page']) ? $_GET['page'] : 1;
    $offset = ($currentPage - 1) * $resultsPerPage;

    // Fetch ad results
    $sql = "SELECT ads.*, city.slug AS location_name, locality.slug AS locality_slug
            FROM ads
            INNER JOIN city ON ads.city_id = city.id
            INNER JOIN locality ON ads.locality_id = locality.id
            WHERE $where_clause
            ORDER BY RAND()
            LIMIT $offset, $resultsPerPage";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            $profile_url = $base_url. "call-girls/" . $row['location_name'] . "/" . $row['locality_slug']."/cg-".$row['id'];
            echo '
            <div class="py-6 px-6 bg-white border border-gray-200 rounded-xl shadow-lg hover:shadow-2xl transform transition duration-500 ease-in-out hover:scale-105">
                <a href="' . $profile_url . '" class="block text-center">
                    <img class="rounded-full border-4 border-indigo-500 mx-auto h-36 w-36 object-cover" src="' . $base_url . 'admin/uploads/' . $row['main_image'] . '" alt="'.$row['title'].'">
                </a>
                <div class="text-center mt-4">
                    <p class="text-xl text-gray-800 font-semibold truncate">' . $row['title'] . '</p>
                    <p class="text-gray-500 text-sm">Age: ' . $row['age'] . ' | <span class="text-indigo-600">' . $row['location_name'] . '</span></p>
                    <p class="text-gray-600 text-sm mt-2">' . $row['meta_description'] . '</p>
                </div>
                <div class="flex gap-4 justify-center mt-4">
                    <a href="tel:' . $row['contact_number'] . '" class="bg-red-500 hover:bg-red-600 text-white text-sm px-4 py-2 rounded-full flex items-center">
                        <img width="15" height="15" src="https://img.icons8.com/ios-glyphs/15/ffffff/incoming-call--v2.png" alt="call">
                        <span class="ml-2">Phone</span>
                    </a>
                    <a href="https://api.whatsapp.com/send?phone=' . $row['whatsapp_number'] . '" class="bg-green-600 hover:bg-green-700 text-white text-sm px-4 py-2 rounded-full flex items-center">
                        <img width="15" height="15" src="https://img.icons8.com/ios-filled/15/ffffff/whatsapp.png" alt="whatsapp">
                        <span class="ml-2">WhatsApp</span>
                    </a>
                </div>
                <div class="mt-4 text-center">
                    <a href="' . $profile_url . '" class="text-indigo-600 hover:text-indigo-800 font-semibold">View Profile</a>
                </div>
            </div>';
        }
    } else {
        echo "No profiles found.";
    }

    // Pagination
    $countQuery = "SELECT COUNT(*) AS total FROM ads WHERE $where_clause";
    $countResult = mysqli_query($conn, $countQuery);

    if ($countResult) {
        $row = mysqli_fetch_assoc($countResult);
        $totalResults = $row['total'];
    } else {
        $totalResults = 0;
    }

    $totalPages = ceil($totalResults / $resultsPerPage);
    ?>

    <div class="flex justify-center items-center mt-6 space-x-2 flex-wrap">
    <?php
    $pageRange = 5;
    $startPage = max(1, $currentPage - 2);
    $endPage = min($totalPages, $currentPage + 2);

    // Adjust page range for display
    if ($currentPage - $startPage < 2) {
        $endPage = min($totalPages, $endPage + (2 - ($currentPage - $startPage)));
    }
    if ($endPage - $currentPage < 2) {
        $startPage = max(1, $startPage - (2 - ($endPage - $currentPage)));
    }

    // Display previous button
    if ($currentPage > 1) {
        echo '<a href="?page=' . ($currentPage - 1) . '" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded mb-2 sm:mb-0"> &laquo; Previous </a>';
    }

    // Display page numbers
    for ($i = $startPage; $i <= $endPage; $i++) {
        echo '<a href="?page=' . $i . '" class="py-2 px-4 rounded mb-2 sm:mb-0 ' . ($i == $currentPage ? 'bg-blue-700 text-white' : 'bg-gray-200 text-blue-500 hover:bg-gray-300') . '">' . $i . '</a>';
    }

    // Show ellipsis if needed
    if ($endPage < $totalPages) {
        echo '<span class="py-2 px-4 text-gray-500">...</span>';
    }

    // Display next button
    if ($currentPage < $totalPages) {
        echo '<a href="?page=' . ($currentPage + 1) . '" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded mb-2 sm:mb-0"> Next &raquo; </a>';
    }
    ?>
    </div>

</div>



<div class="container mx-auto p-4">
    <div class="widget widget-styles p-4 mb-0">
        <div class="grid grid-cols-1 gap-4">
            <div class="col-span-1">
                <?php
                    // Your SQL query to select id and city_name columns
                    $query3 = "SELECT id, city_name FROM city where id = $city_id";

                    // Execute the query
                    $result3 = mysqli_query($conn, $query3);
                    $cityName = ""; 

                    // Check if the query was successful
                    if ($result3) {
                        // Fetch and display the data
                        while ($row3 = mysqli_fetch_assoc($result3)) {
                            $cityId = $row3['id'];
                            $cityName = $row3['city_name'];
                        }
                    }
                ?>

                <?php
                    $content = "SELECT * FROM content";
                    $result4 = mysqli_query($conn, $content);
                    $city_content = "";

                    if ($result4) {
                        while ($row4 = mysqli_fetch_assoc($result4)) {
                            $city_content = $row4['city_content'];
                        }
                    }

                    // Replace the {city} and {category} placeholders with the actual data
                    $city_content = str_replace("{city}", $cityName, $city_content);
                    $city_content = str_replace("{category}",'call girls', $city_content);
                    $city_content = str_replace("{currentlink}", $current_url, $city_content);
                ?>

                <p class="text-base"><?= $city_content; ?></p>
            </div>
        </div>
    </div>
</div>


<div class="container mx-auto p-4 sm:p-8">
    <h2 class="text-3xl font-bold text-center mb-6">India's top locations</h2>
    
    <!-- Container for location links -->
    <div class="flex flex-wrap justify-center gap-6">
        <?php
        // Fetch all locations from the "city" table
        $sql = "SELECT * FROM city ORDER BY city_name ASC";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            // Loop through each location and create a link
            while ($row = $result->fetch_assoc()) {
                $cityName = $row['city_name'];
                $citySlug = $row['slug'];
                echo "
                <a href='" . $base_url . "call-girls/" . $citySlug . "' class='flex-grow py-3 px-8 bg-gradient-to-r from-blue-500 to-teal-500 text-white rounded-lg shadow-lg hover:shadow-2xl hover:scale-105 transition-all duration-300 transform flex items-center justify-center'>
                    " . $cityName . "
                </a>
                ";
            }
        } else {
            echo "<p>No locations found.</p>";
        }
        ?>
    </div>
</div>

<div class="container mx-auto p-4 sm:p-8">
    <h2 class="text-3xl font-bold text-center mb-6">India's top locations</h2>
    
    <!-- Container for location links -->
    <div class="flex flex-wrap justify-center gap-6">
        <?php
        // Fetch all locations from the "city" table
        $sql = "SELECT locality.* 
        FROM locality 
        INNER JOIN city ON locality.city_id = city.id 
        WHERE city.slug = '$Cslug'  -- Directly insert $Cslug into the query
        ORDER BY city.city_name ASC";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            // Loop through each location and create a link
            while ($row = $result->fetch_assoc()) {
                $cityName = $row['location_name'];
                $citySlug = $row['slug'];
                echo "
                <a  href='" . $base_url . "call-girls/".$Cslug."/". $citySlug . "' class='flex-grow py-3 px-8  text-white rounded-lg shadow-lg hover:shadow-2xl hover:scale-105 transition-all duration-300 transform flex items-center justify-center' style='background:#ed5355'>
                    " . $cityName . "
                </a>
                ";
            }
        } else {
            echo "<p>No locations found.</p>";
        }
        ?>
    </div>
</div>

<?php include("./includes/footer.php") ?>
