<?php 
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);

?>
<?php

// Check if the user_id session variable exists
if (!isset($_SESSION['user_id'])) {
   
    // Redirect to the login page

    die();
    header('Location: login.php');
    exit(); // Stop further script execution
}


// Include your database connection code (config.php)
include("./includes/config.php");

// Initialize error message
$error_message = "";

// Define the watermarking function
function addWatermark($imagePath, $watermarkImagePath, $outputImagePath) {
    $image = imagecreatefromjpeg($imagePath);
    $watermark = imagecreatefrompng($watermarkImagePath);
    $imageWidth = imagesx($image);
    $imageHeight = imagesy($image);
    $watermarkWidth = $imageWidth * 0.7; // Adjust as needed
    $watermarkHeight = $watermarkWidth * imagesy($watermark) / imagesx($watermark);
    $watermarkX = ($imageWidth - $watermarkWidth) / 2;
    $watermarkY = ($imageHeight - $watermarkHeight) / 2;
    imagealphablending($image, true);
    imagesavealpha($image, true);
    imagecopyresampled($image, $watermark, $watermarkX, $watermarkY, 0, 0, $watermarkWidth, $watermarkHeight, imagesx($watermark), imagesy($watermark));
    imagejpeg($image, $outputImagePath);
    imagedestroy($image);
    imagedestroy($watermark);
}

$edit_id = isset($_GET['id']) ? $_GET['id'] : 0;
$edit_mode = false;
$existing_data = array();

if ($edit_id) {
    $edit_query = "SELECT * FROM ads WHERE id = $edit_id";
    $edit_result = mysqli_query($conn, $edit_query);

    if ($edit_result) {
        if (mysqli_num_rows($edit_result) == 1) {
            $edit_mode = true;
            $existing_data = mysqli_fetch_assoc($edit_result);
        } else {
            echo "Invalid edit ID.";
            exit;
        }

        mysqli_free_result($edit_result);
    } else {
        echo "Query error: " . mysqli_error($conn);
        exit;
    }
}

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Handle form submission

    $postID = "admin";
$title = $_POST['title'];
$stateID = (int)$_POST['state_id'];
$cityID = (int)$_POST['city_id'];
$categoryID = (int)$_POST['category_id'];
$services = isset($_POST['services']) ? implode(', ', $_POST['services']) : '';

$locationID = isset($_POST['location_id']) ? (int)$_POST['location_id'] : $existing_data['locality_id'];

$whatsapp = $_POST['whatsapp_no'];
$contact = $_POST['contact_no'];
$meta_keywords = isset($_POST['meta_keywords']) ? $_POST['meta_keywords'] : '';
$meta_description = $_POST['description'];
$meta_title = isset($_POST['meta_title']) ? $_POST['meta_title'] : '';
$url = isset($_POST['url']) ? $_POST['url'] : '';

$status = isset($_POST['status']) ? $_POST['status'] : "";
$gender = isset($_POST['gender']) ? $_POST['gender'] : "";


    $age = (int)$_POST['age'];

    $path = "admin/uploads/";

    if ($edit_mode) {
        // Function to move uploaded file
        function moveUploadedFile($fieldName, $newFileName, $path) {
            $ext = pathinfo($_FILES[$fieldName]['name'], PATHINFO_EXTENSION);
            $filename = time() . '_' . $newFileName . '.' . $ext;
            move_uploaded_file($_FILES[$fieldName]['tmp_name'], $path . $filename);
            return $filename;
        }

        // Check and update Main Image
        if (!empty($_FILES['main_image']['name'])) {
            $main_image_filename = moveUploadedFile('main_image', 'main_image', $path);

            // Add a watermark to the main image
             addWatermark($path . $main_image_filename, './assets/img/logo/FOO.png', $path . $main_image_filename);
        } else {
            $main_image_filename = $existing_data['main_image'];
        }

        // Check and update Image 1
        if (!empty($_FILES['image1']['name'])) {
            $image1_filename = moveUploadedFile('image1', 'image1', $path);

            // Add a watermark to image1
             addWatermark($path . $image1_filename, './assets/img/logo/FOO.png', $path . $image1_filename);
        } else {
            $image1_filename = $existing_data['image1'];
        }

        // Check and update Image 2
        if (!empty($_FILES['image2']['name'])) {
            $image2_filename = moveUploadedFile('image2', 'image2', $path);

            // Add a watermark to image2
             addWatermark($path . $image2_filename, './assets/img/logo/FOO.png', $path . $image2_filename);
        } else {
            $image2_filename = $existing_data['image2'];
        }

        // Check and update Image 3
        if (!empty($_FILES['image3']['name'])) {
            $image3_filename = moveUploadedFile('image3', 'image3', $path);

            // Add a watermark to image3
             addWatermark($path . $image3_filename, './assets/img/logo/FOO.png', $path . $image3_filename);
        } else {
            $image3_filename = $existing_data['image3'];
        }

        // Check and update Image 4
        if (!empty($_FILES['image4']['name'])) {
            $image4_filename = moveUploadedFile('image4', 'image4', $path);

            // Add a watermark to image4
             addWatermark($path . $image4_filename, './assets/img/logo/FOO.png', $path . $image4_filename);
        } else {
            $image4_filename = $existing_data['image4'];
        }
    } else {
        // Function to move uploaded file
        function moveUploadedFile($fieldName, $newFileName, $path) {
            $ext = pathinfo($_FILES[$fieldName]['name'], PATHINFO_EXTENSION);
            $filename = time() . '_' . $newFileName . '.' . $ext;
            move_uploaded_file($_FILES[$fieldName]['tmp_name'], $path . $filename);
            return $filename;
        }

        // Main Image
        $main_image_filename = moveUploadedFile('main_image', 'main_image', $path);

        // Add a watermark to the main image
        // addWatermark($path . $main_image_filename, './assets/img/logo/FOO.png', $path . $main_image_filename);

        // Image 1
        $image1_filename = moveUploadedFile('image1', 'image1', $path);

        // Add a watermark to image1
        // addWatermark($path . $image1_filename, './assets/img/logo/FOO.png', $path . $image1_filename);

        // Image 2
        $image2_filename = moveUploadedFile('image2', 'image2', $path);

        // Add a watermark to image2
        // addWatermark($path . $image2_filename, './assets/img/logo/FOO.png', $path . $image2_filename);

        // Image 3
        $image3_filename = moveUploadedFile('image3', 'image3', $path);

        // Add a watermark to image3
        // addWatermark($path . $image3_filename, './assets/img/logo/FOO.png', $path . $image3_filename);

        // Image 4
        $image4_filename = moveUploadedFile('image4', 'image4', $path);

        // Add a watermark to image4
        // addWatermark($path . $image4_filename, './assets/img/logo/FOO.png', $path . $image4_filename);
    }



    if ($edit_mode) {

// echo $meta_description;


        $update_query = "UPDATE ads SET
            title = '$title',
            state_id = $stateID,
            city_id = $cityID,
            category_id = $categoryID,
            locality_id = $locationID,
            whatsapp_number = '$whatsapp',
            contact_number = '$contact',
            meta_description = '$meta_description',
            age = $age,
            gender = '$gender',
            main_image = '$main_image_filename',
            image1 = '$image1_filename',
            image2 = '$image2_filename',
            image3 = '$image3_filename',
            image4 = '$image4_filename',
            services = '$services'
            WHERE id = $edit_id";

        $result = mysqli_query($conn, $update_query);

        if ($result) {
            echo '<script>';
            echo 'alert("Ad updated successfully");';
            echo 'window.location.href = "mylisting.php";';
            echo '</script>';
        } else {
            echo "Something went wrong: " . mysqli_error($conn);
            echo "<script>alert('failed')</script>";
        }
    } else {
        echo "<script>alert('inserted')</script>";
        $insert_query = "INSERT INTO ads (
            post_id,
            title,
            state_id,
            city_id,
            category_id,
            locality_id,
            whatsapp_number,
            contact_number,
            meta_keywords,
            meta_description,
            meta_title,
            url,
            status,
            age,
            gender,
            main_image,
            image1,
            image2,
            image3,
            image4,
            services,
            is_featured
        ) VALUES (
            '$postID',
            '$title',
            $stateID,
            $cityID,
            $categoryID,
            $locationID,
            '$whatsapp',
            '$contact',
            '$meta_keywords',
            '$meta_description',
            '$meta_title',
            '$url',
            '$status',
            $age,
            '$gender',
            '$main_image_filename',
            '$image1_filename',
            '$image2_filename',
            '$image3_filename',
            '$image4_filename',
            '$services',
            $is_feature
        )";
 
        $result = mysqli_query($conn, $insert_query);

        if ($result) {
            echo '<script>';
            echo 'alert("Ad inserted successfully");';
            echo 'window.location.href = "mylisting.php";';
            echo '</script>';
        } else {
            echo "Something went wrong: " . mysqli_error($conn);
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Indian Classified Adult Ads & Adult Meetings in India 24/7</title>
        <meta name="description" content="Book genuine call girls in India with the No. 1 classified guide Liptkal.net. Here you can publish your adult ads and also can hire independent call girls.">

<link rel="canonical" href="<?= $base_url?>"/>

<?php include("./includes/header.php") ?>

<div class="bg-gradient-to-r from-teal-400 to-blue-500 p-2.5 text-white rounded-lg shadow-xl mb-6 container mx-auto">
    <nav class="flex items-center space-x-2 flex-wrap">
        <!-- Home Icon with Chevron Separator -->
        <a href="<?= $base_url ?>" class="flex items-center text-white hover:text-yellow-400 mb-2 sm:mb-0">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-5 h-5 mr-2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M3 12l2-2m0 0l7-7 7 7m-7-7v18"></path>
            </svg>
            Home
        </a>
        <!-- Chevron Separator -->
        <span class="text-white text-xl mb-2 sm:mb-0"> 
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="w-4 h-4">
                <path stroke-linecap="round" stroke-linejoin="round" d="M9 5l7 7-7 7"></path>
            </svg>
        </span>

        <!-- Current City (Cslug) -->
        <span class="text-yellow-300 text-xl font-semibold capitalize mb-2 sm:mb-0">
            Edit Listing
        </span>
    </nav>
</div>

<section>
    <div class="w-[90%] mx-auto">
        <div class="flex gap-5 md:gap-20 flex-col md:flex-row">
            <?php include("./includes/user_sidebar.php") ?>
            <div class="w-full md:w-[70%]">
                <div class="md:p-2">
                    <p class="text-slate-500">Fill the required fields to post free ad</p>
                    <form class="mt-4 md:mt-5 lg:mt-10" action="" onsubmit="return checkCharacterCount()" method="post" enctype="multipart/form-data">
                        <div class="flex flex-col gap-4">
                            <div class="w-full">
                                <label class="block mb-2 font-bold text-slate-600">
                                    Ad title
                                </label>
                                <input required type="text" name="title" value="<?php echo isset($existing_data['title']) ? $existing_data['title'] : ''; ?>" class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-4 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" placeholder="Type here..." />
                            </div>
                            <div class="flex gap-4 flex-col md:flex-row">
                                <div class="w-full md:w-[50%]">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        Whatsapp
                                    </label>
                                    <input type="text" name="whatsapp_no" value="<?php echo isset($existing_data['whatsapp_number']) ? $existing_data['whatsapp_number'] : '91'; ?>" id="inputWhatsappNumber" pattern="^91\d{10}$" maxlength="12" required class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-4 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" placeholder="Whatsapp No." />
                                </div>
                                <div class="w-full md:w-[50%]">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        Telephone
                                    </label>
                                    <input type="text" name="contact_no" value="<?php echo isset($existing_data['contact_number']) ? $existing_data['contact_number'] : '+91'; ?>" id="inputContactNumber" placeholder="Contact Number" pattern="^\+91\d{10}$" maxlength="13" required class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-4 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" placeholder="Telephone No." />
                                </div>
                            </div>
                            <div class="flex flex-col">
                                <p class="mb-2 text-sm font-bold text-slate-600">Gender</p>
                                <label class="mb-2 text-sm font-bold text-black mt-4">
                                    <input name="gender" type="radio" value="male" <?php echo (isset($existing_data['gender']) && $existing_data['gender'] == 'male') ? 'checked' : ''; ?>>
                                    Male
                                </label>
                                <label class="mb-2 text-sm font-bold text-black">
                                    <input name="gender" type="radio" value="female" <?php echo (isset($existing_data['gender']) && $existing_data['gender'] == 'female') ? 'checked' : ''; ?>>
                                    Female
                                </label>
                                <label class="mb-2 text-sm font-bold text-black">
                                    <input name="gender" type="radio" value="others" <?php echo (isset($existing_data['gender']) && $existing_data['gender'] == 'others') ? 'checked' : ''; ?>>
                                    Others
                                </label>
                            </div>
                            <div>
    <p class="mb-2 text-sm font-bold text-slate-600">Services</p>
    <div class="flex gap-4 flex-wrap mt-4">
    <?php
    // Explode the services string into an array of service names
    $existing_services = isset($existing_data['services']) ? explode(',', $existing_data['services']) : [];
   

    // Query to fetch services from the database
    $query1 = "SELECT service_name, id FROM services";
    $result1 = mysqli_query($conn, $query1);

    if ($result1) {
        if (mysqli_num_rows($result1) > 0) {
            // Loop through each service from the database
            $existing_services = array_map('trim', $existing_services);
            while ($row1 = mysqli_fetch_assoc($result1)) {
                $service_name = trim($row1['service_name']);  // Trim the service name to remove extra spaces
                
                // Check if the service name exists in the exploded array of selected services
                $checked = in_array($service_name, $existing_services) ? 'checked' : '';
                echo '<label class="mb-2 text-sm font-bold text-black">
                        <input type="checkbox" name="services[]" value="' . $service_name . '" ' . $checked . '>
                        ' . $service_name . '
                      </label>';
            }
        } else {
            echo "<p class='text-sm text-slate-500'>No services available</p>";
        }
    } else {
        echo "<p class='text-sm text-red-500'>Error fetching services</p>";
    }
    ?>
</div>

</div>

<div>
    <label class="">
        <p class="mb-2 font-bold text-slate-600">Profile Image</p>
        <input type="file" class="block w-full text-sm text-gray-500
          file:me-4 file:py-2 file:px-4
          file:rounded-lg file:border-0
          file:text-sm file:font-semibold
          file:bg-gradient-to-r from-blue-500 to-teal-500 file:text-white
          file:disabled:opacity-50 file:disabled:pointer-events-none
          dark:text-neutral-500
          dark:file:bg-blue-500
          dark:hover:file:bg-blue-400
        " name="main_image" id="inputMainImage" accept=".png, .jpg, .jpeg"  >
        <img id="mainImagePreview" class="mt-2 w-24 h-24 object-cover" src='<?= $base_url.'admin/uploads/'.$existing_data['main_image']?>' alt="Main Image Preview">
    </label>
</div>
<div>
    <p class="mb-2 font-bold text-slate-600">Gallery images <span class="text-sm font-light text-black">(Upload at least one image)</span></p>
    <div class="flex flex-col md:grid grid-cols-2 gap-4 md:gap-10">

        <label class="">
            <p class="mb-2 text-sm font-bold text-black">First image</p>
            <input type="file" name="image1" id="inputImage1" class="block w-full text-sm text-gray-500
              file:me-4 file:py-2 file:px-4
              file:rounded-lg file:border-0
              file:text-sm file:font-semibold
              file:bg-gradient-to-r from-blue-500 to-teal-500 file:text-white
              file:disabled:opacity-50 file:disabled:pointer-events-none
              dark:text-neutral-500
              dark:file:bg-blue-500
              dark:hover:file:bg-blue-400
            " accept=".png, .jpg, .jpeg">
            <?php if (isset($existing_image['image1'])): ?>
                <img src="<?= $existing_image['image1'] ?>" id="image1Preview" class="mt-2 w-24 h-24 object-cover" alt="First Image Preview">
            <?php endif; ?>
        </label>

        <label class="">
            <p class="mb-2 text-sm font-bold text-black">Second image</p>
            <input type="file" name="image2" id="inputImage2" class="block w-full text-sm text-gray-500
              file:me-4 file:py-2 file:px-4
              file:rounded-lg file:border-0
              file:text-sm file:font-semibold
              file:bg-gradient-to-r from-blue-500 to-teal-500 file:text-white
              file:disabled:opacity-50 file:disabled:pointer-events-none
              dark:text-neutral-500
              dark:file:bg-blue-500
              dark:hover:file:bg-blue-400
            " accept=".png, .jpg, .jpeg">
            <?php if (isset($existing_image['image2'])): ?>
                <img src="<?= $existing_image['image2'] ?>" id="image2Preview" class="mt-2 w-24 h-24 object-cover" alt="Second Image Preview">
            <?php endif; ?>
        </label>

        <label class="">
            <p class="mb-2 text-sm font-bold text-black">Third image</p>
            <input type="file" name="image3" id="inputImage3" class="block w-full text-sm text-gray-500
              file:me-4 file:py-2 file:px-4
              file:rounded-lg file:border-0
              file:text-sm file:font-semibold
              file:bg-gradient-to-r from-blue-500 to-teal-500 file:text-white
              file:disabled:opacity-50 file:disabled:pointer-events-none
              dark:text-neutral-500
              dark:file:bg-blue-500
              dark:hover:file:bg-blue-400
            " accept=".png, .jpg, .jpeg">
            <?php if (isset($existing_image['image3'])): ?>
                <img src="<?= $existing_image['image3'] ?>" id="image3Preview" class="mt-2 w-24 h-24 object-cover" alt="Third Image Preview">
            <?php endif; ?>
        </label>

        <label class="">
            <p class="mb-2 text-sm font-bold text-black">Fourth image</p>
            <input type="file" name="image4" id="inputImage4" class="block w-full text-sm text-gray-500
              file:me-4 file:py-2 file:px-4
              file:rounded-lg file:border-0
              file:text-sm file:font-semibold
              file:bg-gradient-to-r from-blue-500 to-teal-500 file:text-white
              file:disabled:opacity-50 file:disabled:pointer-events-none
              dark:text-neutral-500
              dark:file:bg-blue-500
              dark:hover:file:bg-blue-400
            " accept=".png, .jpg, .jpeg">
            <?php if (isset($existing_image['image4'])): ?>
                <img src="<?= $existing_image['image4'] ?>" id="image4Preview" class="mt-2 w-24 h-24 object-cover" alt="Fourth Image Preview">
            <?php endif; ?>
        </label>

    </div>
</div>





                            <div class="mt-5 grid grid-cols-1 md:grid-cols-2 gap-4">
                                <div class="w-full">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        Category
                                    </label>
                                    <select class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-2 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" name="category_id" id="categorySelect" required>
                                       <option value="7" <?php echo (isset($existing_data['category']) && $existing_data['category'] == '7') ? 'selected' : ''; ?>>Call Girls</option>
                                    </select>
                                </div>
                                <div class="w-full">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        State
                                    </label>
                                    <select class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-2 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" name='state_id' id="stateSelect" required>
                                        <option value="">Select a state</option>
                                        <?php
                                        $sql = "SELECT id, state_name FROM states";
                                        $result = $conn->query($sql);

                                        if ($result->num_rows > 0) {
                                            while ($row = $result->fetch_assoc()) {
                                                $stateId = $row['id'];
                                                $stateName = $row['state_name'];
                                                echo "<option value='$stateId'" . ((isset($existing_data['state_id']) && $existing_data['state_id'] == $stateId) ? ' selected' : '') . " >$stateName</option>";
                                            }
                                        } else {
                                            echo "<option value=''>No states found</option>";
                                        }
                                        ?>
                                    </select>
                                </div>
                                  
                                <div class="w-full">
                                    <label class="block mb-2 font-bold text-slate-600" for="inputCity" >
                                        City
                                    </label>
                                    <select class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-2 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" name="city_id" id="citySelect" title="Select City..." required>
                                        <!-- Populate cities based on selected state -->
                                    </select>
                                </div>
                                <div class="w-full">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        Locality
                                    </label>
                                    <select class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-2 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" name="locality_id" id="locationSelect" title="Select Locality..." required>
                                        <!-- Populate localities based on selected city -->
                                    </select>
                                </div>
                            </div>
                            <div>
                                <div class="w-full">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        Age
                                    </label>
                                    <input type="text" name="age" value="<?php echo isset($existing_data['age']) ? $existing_data['age'] : ''; ?>" id="inputAge" class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-4 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" placeholder="Age" />
                                </div>
                            </div>
                            <div>
                                <div class="w-full">
                                    <label class="block mb-2 font-bold text-slate-600">
                                        About
                                    </label>
                                    <textarea class="bg-transparent placeholder:text-slate-400 text-black text-sm border border-slate-400 rounded-md px-3 py-4 w-full transition duration-300 ease focus:outline-none focus:border-slate-400 hover:border-slate-300 shadow-sm focus:shadow" name="description" required placeholder="About the ad..."><?php echo isset($existing_data['meta_description']) ? strip_tags($existing_data['meta_description']) : ''; ?></textarea>
                                </div>
                            </div>
                            <button type="submit" class="w-full bg-blue-600 hover:bg-blue-500 text-white py-3 rounded-md mt-5">Update Ad</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

                
        <script>
document.addEventListener("DOMContentLoaded", function () {
    const stateSelect = document.getElementById("stateSelect");
    const citySelect = document.getElementById("citySelect");

    // Embed PHP variable into JavaScript
    const defaultCityId = "<?php echo isset($existing_data['city_id']) ? $existing_data['city_id'] : ''; ?>";

    const apiUrl = `get_cities1.php?state_id=${stateSelect.value}`;
    fetch(apiUrl)
        .then((response) => {
            console.log("Response:", response);
            return response.json();
        })
        .then((data) => {
            data.forEach((city) => {
                const option = document.createElement("option");
                option.value = city.id;
                option.textContent = city.city_name;

                // Select the city if it matches the defaultCityId
                if (city.id === defaultCityId) {
                    option.selected = true;
                }

                citySelect.appendChild(option);
            });
        })
        .catch((error) => console.error(error));

    // Add an event listener to the state select element
    stateSelect.addEventListener("change", function () {
        const selectedStateId = stateSelect.value;

        citySelect.innerHTML = "<option value=''>Select a city</option>";

        if (selectedStateId !== "") {
            const apiUrl = `get_cities1.php?state_id=${selectedStateId}`;
            console.log("Fetch URL:", apiUrl);

            fetch(apiUrl)
                .then((response) => {
                    console.log("Response:", response);
                    return response.json();
                })
                .then((data) => {
                    data.forEach((city) => {
                        const option = document.createElement("option");
                        option.value = city.id;
                        option.textContent = city.city_name;

                        // Select the city if it matches the defaultCityId
                        if (city.id === defaultCityId) {
                            option.selected = true;
                        }

                        citySelect.appendChild(option);
                    });
                })
                .catch((error) => console.error(error));
        }
    });
});
</script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const citySelect = document.getElementById("citySelect");
    const locationSelect = document.getElementById("locationSelect");

    // Embed PHP variable into JavaScript
    const defaultLocalityId = "<?php echo isset($existing_data['locality_id']) ? $existing_data['locality_id'] : ''; ?>";
    const cityId = "<?php echo isset($existing_data['city_id']) ? $existing_data['city_id'] : ''; ?>";
 

    const apiUrl = `get_locations1.php?city_id=${cityId}`;
    fetch(apiUrl)
        .then((response) => {
            console.log("Response:", response);
            return response.json();
        })
        .then((data) => {
            console.log(data)
            data.forEach((location) => {
                const option = document.createElement("option");
                option.value = location.id;
                option.textContent = location.location_name;

                // Select the location if it matches the defaultLocalityId
                if (location.id === defaultLocalityId) {
                    option.selected = true;
                }

                locationSelect.appendChild(option);
            });
        })
        .catch((error) => console.error(error));

    // Add an event listener to the city select element
    citySelect.addEventListener("change", function () {
        const selectedCityId = citySelect.value;

        locationSelect.innerHTML = "<option value=''>Select a location</option>";

        if (selectedCityId !== "") {
            const apiUrl = `get_locations1.php?city_id=${selectedCityId}`;
            console.log("Fetch URL:", apiUrl);

            fetch(apiUrl)
                .then((response) => {
                    console.log("Response:", response);
                    return response.json();
                })
                .then((data) => {
                    data.forEach((location) => {
                        const option = document.createElement("option");
                        option.value = location.id;
                        option.textContent = location.location_name;

                        // Select the location if it matches the defaultLocalityId
                        if (location.id === defaultLocalityId) {
                            option.selected = true;
                        }

                        locationSelect.appendChild(option);
                    });
                })
                .catch((error) => console.error(error));
        }
    });
});
</script>

<script>
    // Disable editing of "+91" prefix while allowing the rest of the number to be edited
    document.getElementById('inputWhatsappNumber').addEventListener('input', function() {
    if (!/^91\d{0,10}$/.test(this.value)) {
        this.value = '91';
    }
    if (this.value.length > 12) {
        this.value = this.value.slice(0, 12); // Truncate to 12 characters (including "91")
    }
});

    document.getElementById('inputContactNumber').addEventListener('input', function() {
        if (!/^(\+91)?\d{0,10}$/.test(this.value)) {
            this.value = this.value.slice(0, -1); // Remove the last character if it's not a digit
        }
        if (this.value.length <= 3) {
            this.value = '+91';
        }
    });
</script>
           <?php include("./includes/footer.php") ?>