<?php
include("./includes/config.php");

// Get the state ID from the query string
$cityId = isset($_GET['city_id']) ? $_GET['city_id'] : '';

if ($cityId !== '') {
    // Prepare and execute a query to fetch cities based on the selected state
    $stmt = $conn->prepare("SELECT id, location_name FROM locality WHERE city_id = ?");
    $stmt->bind_param("s", $cityId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        $locations = [];

        while ($row = $result->fetch_assoc()) {
            $locations[] = [
                'id' => $row['id'],
                'location_name' => $row['location_name'],
            ];
        }

        // Close the database connection
        $stmt->close();
        $conn->close();

        // Return the city data as JSON
        echo json_encode($locations);
    } else {
        echo json_encode(['error' => 'Unable to execute the query.']);
    }
} else {
    echo json_encode(['error' => 'Invalid city ID.']);
}
?>
