<section id="search-sec" class="flex justify-center bg-[#202733] items-center h-[50vh] md:h-[70vh]">
  <div class="w-[95%] sm:w-[90%] mx-auto flex justify-center items-center">
    <!-- Text and Dropdown Section -->
    <div class="md:w-[50%]">
      <p class="text-2xl sm:text-3xl md:text-4xl lg:text-5xl font-bold text-white text-center">
        Explore Our Directory & Select Your Escort
      </p>

      <div class="mt-5 md:mt-10 w-[90%] mx-auto">
        <!-- Dropdowns Section -->
        <div class="flex flex-col sm:flex-row gap-4 sm:gap-5">
          <select
            name="state"
            class="rounded-md outline-none border-none p-3 sm:p-4 sm:w-[50%]"
            id="stateSelects"
            required>
            <option value="">Choose State</option>
            <?php
            // Query to fetch state names from the "states" table
            $sql = "SELECT id, state_name, slug FROM states ORDER BY state_name ASC";
            $result = $conn->query($sql);

            if ($result->num_rows > 0) {
              while ($row = $result->fetch_assoc()) {
                $stateId = $row['id'];
                $stateName = $row['state_name'];
                $slug = $row['slug'];

                echo isset($state_slug) && $state_slug == $slug
                  ? "<option value='$stateId' data-slug='$slug' selected>$stateName</option>"
                  : "<option value='$stateId' data-slug='$slug'>$stateName</option>";
              }
            } else {
              echo "<option value=''>No states found</option>";
            }
            ?>
          </select>
          <select
            name="city"
            class="rounded-md outline-none border-none p-3 sm:p-4 sm:w-[50%]"
            id="citySelects"
            required>
            <option value="">Select a City</option>
          </select>
        </div>
        <!-- Search Button -->
        <div class="mt-4">
          <button
            type="button"
            id="searchBtn"
            class="inline-block rounded-md w-full p-[10px] sm:p-3 bg-gradient-to-b from-[#ecca83] to-[#c5a454]  text-white font-semibold text-center text-lg">
            Search
          </button>
        </div>
      </div>
    </div>

    <!-- Image Section -->
    <div class="md:w-[50%] md:flex hidden justify-center items-center">
      <img src="<?= $base_url.'/assets/img/nude-girl-1.png'?>" class="h-[60vh]" alt="Escort Directory">
    </div>
  </div>
</section>

<script>
  document.addEventListener("DOMContentLoaded", function () {
    const stateSelect = document.getElementById("stateSelects");
    const citySelect = document.getElementById("citySelects");
    const searchBtn = document.getElementById("searchBtn");

    // Fetch cities for the initial state selection
    function fetchCities(stateId) {
      const apiUrl = `<?= $base_url ?>/get_cities1.php?state_id=${stateId}`;

      fetch(apiUrl)
        .then((response) => response.json())
        .then((data) => {
          data.forEach((city) => {
            const option = document.createElement("option");
            option.value = city.slug;
            option.textContent = city.city_name;

            if (city.slug === "<?php echo isset($Cslug) ? $Cslug : ''; ?>") {
              option.selected = true;
            }

            citySelect.appendChild(option);
          });
        })
        .catch((error) => console.error(error));
    }

    // Initial fetch for cities based on the selected state
    if (stateSelect.value) {
      fetchCities(stateSelect.value);
    }

    // Handle state selection changes
    stateSelect.addEventListener("change", function () {
      const selectedStateId = stateSelect.value;
      citySelect.innerHTML = "<option value=''>Select a City</option>";

      if (selectedStateId !== "") {
        fetchCities(selectedStateId);
      }
    });

    // Handle search button click
    searchBtn.addEventListener("click", function () {
      const selectedCity = citySelect.value;
      const url = `<?= $base_url ?>/call-girls/${selectedCity}`;
      window.location.href = url;
    });
  });
</script>
