<?php
session_start();
if (isset($_SESSION['user_id'])) {


    // Redirect to the login page
    header('Location: ad_listing');
    exit(); // Stop further script execution
}
include("./includes/config.php");

// Initialize error and success messages
$error_message = $success_message = "";



// Registration handling
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['register'])) {
    $username = $_POST['username'];
    $email = $_POST['email'];
    $password = $_POST['password'];

    $checkExistingSQL = "SELECT * FROM users WHERE username = '$username' OR email = '$email'";
    $existingResult = mysqli_query($conn, $checkExistingSQL);

    if (mysqli_num_rows($existingResult) > 0) {
        $error_message = "Username or email already exists.";
    } else {
        $insertSQL = "INSERT INTO users (username, email, password) VALUES ('$username', '$email', '$password')";

        if (mysqli_query($conn, $insertSQL)) {
            $success_message = "Registration successful. You can now login.";
        } else {
            $error_message = "Registration failed. Please try again later.";
        }
    }
}

mysqli_close($conn);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>CGNight Login/Register</title>
        <meta name="title" content="CGNight Login/Register">
<?php include("./includes/header.php") ?>




<nav class="flex justify-center py-4" aria-label="Breadcrumb">
  <ol class="inline-flex items-center space-x-1 md:space-x-2 rtl:space-x-reverse">
    <li class="inline-flex items-center">
      <a href="<?= $base_url?>" class="inline-flex items-center text-sm font-medium text-gray-700 hover:text-blue-600 dark:text-gray-400 dark:hover:text-white">
        <svg class="w-3 h-3 me-2.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 20">
          <path d="m19.707 9.293-2-2-7-7a1 1 0 0 0-1.414 0l-7 7-2 2a1 1 0 0 0 1.414 1.414L2 10.414V18a2 2 0 0 0 2 2h3a1 1 0 0 0 1-1v-4a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v4a1 1 0 0 0 1 1h3a2 2 0 0 0 2-2v-7.586l.293.293a1 1 0 0 0 1.414-1.414Z"/>
        </svg>
        Home
      </a>
    </li>
   
    <li aria-current="page">
      <div class="flex items-center">
        <svg class="rtl:rotate-180 w-3 h-3 text-gray-400 mx-1" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
          <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m1 9 4-4-4-4"/>
        </svg>
        <span class="ms-1 text-sm font-medium text-gray-500 md:ms-2 dark:text-gray-400">Signup</span>
      </div>
    </li>
  </ol>
</nav>


<main class="container mx-auto max-w-lg p-6 bg-white rounded-lg shadow-lg">
        <section class="text-center mb-8">
            <h1 class="text-4xl font-bold text-gray-800 mb-2">Create an Account</h1>
            <p class="text-gray-600">Join us and enjoy our premium services</p>
        </section>

        <?php if (!empty($error_message)) : ?>
            <div class="mb-4 text-red-500 bg-red-100 p-3 rounded-md">
                <?php echo $error_message; ?>
            </div>
        <?php endif; ?>

        <?php if (!empty($success_message)) : ?>
            <div class="mb-4 text-green-500 bg-green-100 p-3 rounded-md">
                <?php echo $success_message; ?>
            </div>
        <?php endif; ?>

        <form action="" method="post" class="space-y-6">
            <div>
                <label for="username" class="block text-sm font-semibold text-gray-700">Full Name</label>
                <input type="text" name="username" id="username" class="w-full p-3 mt-2 border border-gray-300 rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Enter your full name" required>
            </div>

            <div>
                <label for="email" class="block text-sm font-semibold text-gray-700">Email</label>
                <input type="email" name="email" id="email" class="w-full p-3 mt-2 border border-gray-300 rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Enter your email" required>
            </div>

            <div>
                <label for="password" class="block text-sm font-semibold text-gray-700">Password</label>
                <input type="password" name="password" id="password" class="w-full p-3 mt-2 border border-gray-300 rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Enter your password" required>
            </div>

            <button type="submit" name="register" class="w-full p-3 bg-blue-500 text-white rounded-lg font-semibold hover:bg-blue-600 transition duration-300">
                Sign Up
            </button>
        </form>

        <div class="mt-6 text-center">
            <p class="text-gray-600">Already have an account? 
                <a href="<?= $base_url . '/login' ?>" class="text-blue-500 font-semibold hover:underline">Log In</a>
            </p>
        </div>
    </main>

<?php include("./includes/footer.php") ?>
