<?php
header('Content-Type: application/xml');
echo "<?xml version='1.0' encoding='UTF-8'?>";
echo "<urlset xmlns='http://www.sitemaps.org/schemas/sitemap/0.9'>";

include("./includes/config.php");

// SQL query with JOIN operations
$sql = "SELECT ads.id, ads.status, ads.title, category.slug as catslug, city.slug as citslug, locality.slug as locslug
        FROM ads
        JOIN category ON ads.category_id = category.id
        JOIN city ON ads.city_id = city.id
        JOIN locality ON ads.locality_id = locality.id WHERE ads.status = 'published'";

$result = mysqli_query($conn, $sql);
        $current_time = date('c');

// Check if the query was successful
if ($result) {
    while ($row = mysqli_fetch_assoc($result)) {
        // Access the columns
        $id = $row['id'];
        $title = $row['title'];
        $category_name = $row['catslug'];
        $city_name = $row['citslug'];
        $locality_name = $row['locslug'];

        // Output data in XML format
        echo "<url>";
        echo "<loc>http://www.localhost/newproject/$category_name/$city_name/$locality_name/call-girls-$id</loc>";
        echo "<lastmod>$current_time</lastmod>";
        echo "<priority>1.0</priority>";
        echo "<changefreq>daily</changefreq>";
        echo "</url>";
    }
}

echo "</urlset>";
?>
